--
-- Create Schema Script 
--   Database Version   : 11.2.0.2.0 
--   Toad Version       : 10.6.1.3 
--   DB Connect String  : XE 
--   Schema             : UOC 
--   Script Created by  : UOC 
--   Script Created at  : 1/14/2013 6:13:59 PM 
--   Physical Location  :  
--   Notes              :  
--

-- Object Counts: 
--   Directories: 0 
--   Tables: 17         Constraints: 25     


ALTER TABLE GCU_CATALOGO ADD (
  CONSTRAINT CH_CAT_EXTRA
  CHECK (CAT_EXTRA IN ('0','1')));

ALTER TABLE GCU_CATALOGO ADD (
  PRIMARY KEY
  (CAT_ID));


ALTER TABLE GCU_VEHICULO ADD (
  CONSTRAINT CH_VEH_VENDIDO
  CHECK (VEH_VENDIDO IN ('0','1')));

ALTER TABLE GCU_VEHICULO ADD (
  CONSTRAINT GCU_VEHCULO_PK
  PRIMARY KEY
  (VEH_ID));

ALTER TABLE GCU_VEHICULO ADD (
  CONSTRAINT UQ_VEH_BASTIDOR
  UNIQUE (VEH_BASTIDOR));

ALTER TABLE GCU_VEHICULO ADD (
  CONSTRAINT UQ_VEH_MATRICULA
  UNIQUE (VEH_MATRICULA));


ALTER TABLE GCU_REPARACION ADD (
  CONSTRAINT CH_REP_REVISION
  CHECK (rep_revision IN ('0','1')));

ALTER TABLE GCU_REPARACION ADD (
  CONSTRAINT GCU_REPARACION_PK
  PRIMARY KEY
  (REP_ID));


ALTER TABLE GCU_EMPLEADO ADD (
  CONSTRAINT CH_EMP_TIPOEMP
  CHECK (EMP_TIPOEMP IN ('M','C')));

ALTER TABLE GCU_EMPLEADO ADD (
  CONSTRAINT GCU_CONCESIONARIO_PK
  PRIMARY KEY
  (EMP_ID));

ALTER TABLE GCU_EMPLEADO ADD (
  CONSTRAINT UQ_EMP_NSS
  UNIQUE (EMP_NSS));

ALTER TABLE GCU_EMPLEADO ADD (
  CONSTRAINT UQ_EMP_DNI
  UNIQUE (EMP_DNI));


ALTER TABLE GCU_AUDITORIA ADD (
  CONSTRAINT GCU_AUDITORIA_PK
  PRIMARY KEY
  (AUD_ID));


ALTER TABLE GCU_CARACTERISTICA ADD (
  CONSTRAINT GCU_CARACTERISTICA_PK
  PRIMARY KEY
  (CAR_ID));


ALTER TABLE GCU_CLIENTE ADD (
  CONSTRAINT GCU_CLIENTE_PK
  PRIMARY KEY
  (CLI_ID));


ALTER TABLE GCU_CONCESIONARIO ADD (
  PRIMARY KEY
  (CON_ID));


ALTER TABLE GCU_CONFIGURACION ADD (
  CONSTRAINT GCU_CONFIGURACION_PK
  PRIMARY KEY
  (CNF_VEHID, CNF_CARID));


ALTER TABLE GCU_FACTURA ADD (
  PRIMARY KEY
  (FAC_ID));


ALTER TABLE GCU_LINEAFACTURA ADD (
  CONSTRAINT GCU_LINEAFACTURA_PK
  PRIMARY KEY
  (LIN_ID, LIN_FACID));


ALTER TABLE GCU_MARCA ADD (
  CONSTRAINT GCU_MARCA_PK
  PRIMARY KEY
  (MAR_ID));


ALTER TABLE GCU_MODELO ADD (
  CONSTRAINT GCU_MODELO_PK
  PRIMARY KEY
  (MOD_ID));


ALTER TABLE GCU_TAREA ADD (
  CONSTRAINT GCU_TAREA_PK
  PRIMARY KEY
  (TAR_ID, TAR_REPID));


ALTER TABLE GCU_USUARIO ADD (
  CONSTRAINT GCU_USUARIO_PK
  PRIMARY KEY
  (USR_ID));


ALTER TABLE GCU_VENTA ADD (
  CONSTRAINT GCU_VENTA_PK
  PRIMARY KEY
  (VEN_ID));


ALTER TABLE SIS_ERRORES ADD (
  PRIMARY KEY
  (CODIGO));