--
-- Create Schema Script 
--   Database Version   : 11.2.0.2.0 
--   Toad Version       : 10.6.1.3 
--   DB Connect String  : XE 
--   Schema             : UOC 
--   Script Created by  : UOC 
--   Script Created at  : 12/13/2012 10:35:21 PM 
--   Physical Location  :  
--   Notes              :  
--

-- Object Counts: 
--   Directories: 4 
--   Functions: 3       Lines of Code: 85 
--   Indexes: 21        Columns: 24         
--   Packages: 2        Lines of Code: 192 
--   Package Bodies: 2  Lines of Code: 642 
--   Sequences: 15 
--   Tables: 18         Columns: 143        Constraints: 73     
--   Triggers: 49 
--   Views: 10          Columns: 369        


-- "Set define off" turns off substitution variables. 
Set define off; 

--
-- ORACLECLRDIR  (Directory) 
--
CREATE OR REPLACE DIRECTORY 
ORACLECLRDIR AS 
'C:\oraclexe\app\oracle\product\11.2.0\server\bin\clr';


--
-- DATA_PUMP_DIR  (Directory) 
--
CREATE OR REPLACE DIRECTORY 
DATA_PUMP_DIR AS 
'C:\oraclexe\app\oracle\admin\xe\dpdump\';


--
-- XMLDIR  (Directory) 
--
CREATE OR REPLACE DIRECTORY 
XMLDIR AS 
'C:\oraclexe\app\oracle\product\11.2.0\server\rdbms\xml';


--
-- ORACLE_OCM_CONFIG_DIR  (Directory) 
--
CREATE OR REPLACE DIRECTORY 
ORACLE_OCM_CONFIG_DIR AS 
'C:/ADE/jaikrish_xe/oracle\ccr\state';


--
-- SEQ_AUD_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_AUD_PK
  START WITH 2261
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_CAR_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_CAR_PK
  START WITH 41
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_CAT_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_CAT_PK
  START WITH 2041
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_CLI_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_CLI_PK
  START WITH 21
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_CON_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_CON_PK
  START WITH 21
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_EMP_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_EMP_PK
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_FAC_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_FAC_PK
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_LIN_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_LIN_PK
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_MAR_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_MAR_PK
  START WITH 61
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_MOD_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_MOD_PK
  START WITH 121
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_REP_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_REP_PK
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_TAR_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_TAR_PK
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_USR_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_USR_PK
  START WITH 21
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_VEH_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_VEH_PK
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SEQ_VEN_PK  (Sequence) 
--
CREATE SEQUENCE UOC.SEQ_VEN_PK
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


--
-- SIS_ERRORES  (Table) 
--
CREATE TABLE UOC.SIS_ERRORES
(
  CODIGO  NUMBER,
  ERROR   VARCHAR2(500 BYTE)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;


--
-- PRUEBA  (Table) 
--
CREATE TABLE UOC.PRUEBA
(
  CAMPO  VARCHAR2(20 BYTE)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_AUDITORIA  (Table) 
--
CREATE TABLE UOC.GCU_AUDITORIA
(
  AUD_ID      NUMBER(9),
  AUD_TABLA   VARCHAR2(20 BYTE)                 NOT NULL,
  AUD_ACCION  VARCHAR2(200 BYTE)                NOT NULL,
  AUD_USRID   NUMBER(9)                         NOT NULL,
  AUD_FECHA   DATE                              DEFAULT SYSDATE               NOT NULL
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_TAREA  (Table) 
--
CREATE TABLE UOC.GCU_TAREA
(
  TAR_ID          NUMBER(9),
  TAR_REPID       NUMBER(9),
  TAR_CONCEPTO    VARCHAR2(100 BYTE)            NOT NULL,
  TAR_HORAS       NUMBER(9,2)                   NOT NULL,
  TAR_EMPID       NUMBER(9)                     NOT NULL,
  TAR_FACTURABLE  CHAR(1 BYTE)                  DEFAULT 1                     NOT NULL,
  TAR_AUDFALTA    DATE                          DEFAULT SYSDATE,
  TAR_AUDUSRALTA  NUMBER(9),
  TAR_AUDFMOD     DATE,
  TAR_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_TAREA IS 'Informacin de las tareas que se llevan a cabo en las reparaciones y revisiones. ';

COMMENT ON COLUMN UOC.GCU_TAREA.TAR_ID IS 'Identificador de la tarea';

COMMENT ON COLUMN UOC.GCU_TAREA.TAR_REPID IS 'Identificador de la tarea';

COMMENT ON COLUMN UOC.GCU_TAREA.TAR_CONCEPTO IS 'Descripcin de la tarea';

COMMENT ON COLUMN UOC.GCU_TAREA.TAR_HORAS IS 'Nmero de horas que dedica el mecnico a la tarea';

COMMENT ON COLUMN UOC.GCU_TAREA.TAR_EMPID IS 'Identficador del empleado';

COMMENT ON COLUMN UOC.GCU_TAREA.TAR_FACTURABLE IS 'Indica si es facturable(1) o no (0). ';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_REPARACION  (Table) 
--
CREATE TABLE UOC.GCU_REPARACION
(
  REP_ID           NUMBER(9),
  REP_FECHAINICIO  DATE                         NOT NULL,
  REP_FECHAFIN     DATE,
  REP_CLIENTE      VARCHAR2(20 BYTE)            NOT NULL,
  REP_TELEFONO     VARCHAR2(15 BYTE)            NOT NULL,
  REP_FACID        NUMBER(9),
  REP_REVISION     CHAR(1 BYTE)                 NOT NULL,
  REP_VEHID        NUMBER(9),
  REP_AUDFALTA     DATE                         DEFAULT SYSDATE,
  REP_AUDUSRALTA   NUMBER(9),
  REP_AUDFMOD      DATE,
  REP_AUDUSRMOD    NUMBER(9),
  REP_EMPID        NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_REPARACION IS 'Informacin de las reparaciones';

COMMENT ON COLUMN UOC.GCU_REPARACION.REP_ID IS 'Id de reparacin';

COMMENT ON COLUMN UOC.GCU_REPARACION.REP_FECHAINICIO IS 'Fecha y hora de inicio de la reparacin';

COMMENT ON COLUMN UOC.GCU_REPARACION.REP_FECHAFIN IS 'Fecha y hora de fin de la reparacin';

COMMENT ON COLUMN UOC.GCU_REPARACION.REP_CLIENTE IS 'Nombre del cliente';

COMMENT ON COLUMN UOC.GCU_REPARACION.REP_TELEFONO IS 'Telfono del cliente';

COMMENT ON COLUMN UOC.GCU_REPARACION.REP_FACID IS 'Factura de la reparacin';

COMMENT ON COLUMN UOC.GCU_REPARACION.REP_REVISION IS 'Indica si es una revisin (1) o si es una reparacin (0)';

COMMENT ON COLUMN UOC.GCU_REPARACION.REP_VEHID IS 'Id de vehculo';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_LINEAFACTURA  (Table) 
--
CREATE TABLE UOC.GCU_LINEAFACTURA
(
  LIN_ID          NUMBER(9),
  LIN_FACID       NUMBER(9)                     NOT NULL,
  LIN_CONCEPTO    VARCHAR2(100 BYTE)            NOT NULL,
  LIN_COSTE       NUMBER(15,3)                  NOT NULL,
  LIN_PVP         NUMBER(15,3)                  NOT NULL,
  LIN_AUDFALTA    DATE                          DEFAULT SYSDATE,
  LIN_AUDUSRALTA  NUMBER(9),
  LIN_AUDFMOD     DATE,
  LIN_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_LINEAFACTURA IS 'Detalle de las lneas de factura';

COMMENT ON COLUMN UOC.GCU_LINEAFACTURA.LIN_ID IS 'Id de lnea de factura';

COMMENT ON COLUMN UOC.GCU_LINEAFACTURA.LIN_FACID IS 'Id de factura';

COMMENT ON COLUMN UOC.GCU_LINEAFACTURA.LIN_CONCEPTO IS 'Concepto de la lnea de factura';

COMMENT ON COLUMN UOC.GCU_LINEAFACTURA.LIN_COSTE IS 'Coste';

COMMENT ON COLUMN UOC.GCU_LINEAFACTURA.LIN_PVP IS 'Precio venta al pblico';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_FACTURA  (Table) 
--
CREATE TABLE UOC.GCU_FACTURA
(
  FAC_ID             NUMBER(9),
  FAC_CONTABILIZADA  CHAR(1 BYTE)               DEFAULT '0',
  FAC_AUDFALTA       DATE                       DEFAULT SYSDATE,
  FAC_AUDUSRALTA     NUMBER(9),
  FAC_AUDFMOD        DATE,
  FAC_AUDUSRMOD      NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_FACTURA IS 'Informacin de las facturas de las ventas y reparaciones';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_VENTA  (Table) 
--
CREATE TABLE UOC.GCU_VENTA
(
  VEN_ID          NUMBER(9),
  VEN_VEHID       NUMBER(9)                     NOT NULL,
  VEN_CLIID       NUMBER                        NOT NULL,
  VEN_FECHA       DATE                          NOT NULL,
  VEN_EMPID       NUMBER                        NOT NULL,
  VEN_FACID       NUMBER                        NOT NULL,
  VEN_AUDFALTA    DATE                          DEFAULT SYSDATE,
  VEN_AUDUSRALTA  NUMBER(9),
  VEN_AUDFMOD     DATE,
  VEN_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CLIENTE  (Table) 
--
CREATE TABLE UOC.GCU_CLIENTE
(
  CLI_ID          NUMBER(9),
  CLI_NOMBRE      VARCHAR2(20 BYTE)             NOT NULL,
  CLI_APELLIDO    VARCHAR2(50 BYTE)             NOT NULL,
  CLI_TELEFONO    VARCHAR2(15 BYTE),
  CLI_EMAIL       VARCHAR2(30 BYTE),
  CLI_FNAC        DATE,
  CLI_PROFESION   VARCHAR2(20 BYTE),
  CLI_AUDFALTA    DATE                          DEFAULT SYSDATE,
  CLI_AUDUSRALTA  NUMBER(9),
  CLI_AUDFMOD     DATE,
  CLI_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_CLIENTE IS 'Informacin de los clientes';

COMMENT ON COLUMN UOC.GCU_CLIENTE.CLI_ID IS 'Id de cliente';

COMMENT ON COLUMN UOC.GCU_CLIENTE.CLI_NOMBRE IS 'Nombre de cliente';

COMMENT ON COLUMN UOC.GCU_CLIENTE.CLI_APELLIDO IS 'Apellido de cliente';

COMMENT ON COLUMN UOC.GCU_CLIENTE.CLI_TELEFONO IS 'Telfono de cliente';

COMMENT ON COLUMN UOC.GCU_CLIENTE.CLI_EMAIL IS 'Email del cliente';

COMMENT ON COLUMN UOC.GCU_CLIENTE.CLI_FNAC IS 'Fecha de nacimiento del cliente';

COMMENT ON COLUMN UOC.GCU_CLIENTE.CLI_PROFESION IS 'Profesin';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CONFIGURACION  (Table) 
--
CREATE TABLE UOC.GCU_CONFIGURACION
(
  CNF_VEHID       NUMBER(9),
  CNF_CARID       NUMBER(9),
  CNF_AUDFALTA    DATE                          DEFAULT SYSDATE,
  CNF_AUDUSRALTA  NUMBER(9),
  CNF_AUDFMOD     DATE,
  CNF_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_CONFIGURACION IS 'Informacin de las configuraciones que tienen instalados los vehculos';

COMMENT ON COLUMN UOC.GCU_CONFIGURACION.CNF_VEHID IS 'Id vehculo';

COMMENT ON COLUMN UOC.GCU_CONFIGURACION.CNF_CARID IS 'Id caracterstica';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_VEHICULO  (Table) 
--
CREATE TABLE UOC.GCU_VEHICULO
(
  VEH_ID          NUMBER(9),
  VEH_BASTIDOR    VARCHAR2(15 BYTE),
  VEH_MATRICULA   VARCHAR2(10 BYTE),
  VEH_COLOR       VARCHAR2(15 BYTE)             NOT NULL,
  VEH_MODID       NUMBER(9)                     NOT NULL,
  VEH_VENDIDO     CHAR(1 BYTE)                  NOT NULL,
  VEH_AUDFALTA    DATE                          DEFAULT SYSDATE,
  VEH_AUDUSRALTA  NUMBER(9),
  VEH_AUDFMOD     DATE,
  VEH_AUDUSRMOD   NUMBER(9),
  VEH_CONID       NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_VEHICULO IS 'Informacin de los vehculos';

COMMENT ON COLUMN UOC.GCU_VEHICULO.VEH_ID IS 'Id de vehculo';

COMMENT ON COLUMN UOC.GCU_VEHICULO.VEH_BASTIDOR IS 'Nmero de bastidor';

COMMENT ON COLUMN UOC.GCU_VEHICULO.VEH_MATRICULA IS 'Nmero de matrcula';

COMMENT ON COLUMN UOC.GCU_VEHICULO.VEH_COLOR IS 'Color del vehculo';

COMMENT ON COLUMN UOC.GCU_VEHICULO.VEH_MODID IS 'Id del modelo';

COMMENT ON COLUMN UOC.GCU_VEHICULO.VEH_VENDIDO IS 'Indica si est vendido ''1'' o disponible ''0''';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CARACTERISTICA  (Table) 
--
CREATE TABLE UOC.GCU_CARACTERISTICA
(
  CAR_ID           NUMBER(9),
  CAR_DESCRIPCION  VARCHAR2(100 BYTE)           NOT NULL,
  CAR_AUDFALTA     DATE                         DEFAULT SYSDATE,
  CAR_AUDUSRALTA   NUMBER(9),
  CAR_AUDFMOD      DATE,
  CAR_AUDUSRMOD    NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_CARACTERISTICA IS 'Informacin de las caractersticas';

COMMENT ON COLUMN UOC.GCU_CARACTERISTICA.CAR_ID IS 'ID de caracterstica';

COMMENT ON COLUMN UOC.GCU_CARACTERISTICA.CAR_DESCRIPCION IS 'Descripcin de la caracterstica';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CONCESIONARIO  (Table) 
--
CREATE TABLE UOC.GCU_CONCESIONARIO
(
  CON_ID          NUMBER(9),
  CON_NOMBRE      VARCHAR2(50 BYTE)             NOT NULL,
  CON_DIRECCION   VARCHAR2(100 BYTE)            NOT NULL,
  CON_TELEFONO    VARCHAR2(15 BYTE)             NOT NULL,
  CON_AUDFALTA    DATE                          DEFAULT SYSDATE,
  CON_AUDUSRALTA  NUMBER(9),
  CON_AUDFMOD     DATE,
  CON_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_CONCESIONARIO IS 'Informacin de los concesionarios de la marca UOC';

COMMENT ON COLUMN UOC.GCU_CONCESIONARIO.CON_ID IS 'Id del concesionario';

COMMENT ON COLUMN UOC.GCU_CONCESIONARIO.CON_NOMBRE IS 'Nombre del concesionario';

COMMENT ON COLUMN UOC.GCU_CONCESIONARIO.CON_DIRECCION IS 'Direccin del concesionario';

COMMENT ON COLUMN UOC.GCU_CONCESIONARIO.CON_TELEFONO IS 'Telfono del concesionario';

COMMENT ON COLUMN UOC.GCU_CONCESIONARIO.CON_AUDFALTA IS 'Auditora: Fecha de alta del registro';

COMMENT ON COLUMN UOC.GCU_CONCESIONARIO.CON_AUDUSRALTA IS 'Auditora: Usuario que da de alta el registro';

COMMENT ON COLUMN UOC.GCU_CONCESIONARIO.CON_AUDFMOD IS 'Auditora: Fecha ltima modificacin del registro';

COMMENT ON COLUMN UOC.GCU_CONCESIONARIO.CON_AUDUSRMOD IS 'Auditora: Usuario que realiza la ltima modificacin del registro';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_MARCA  (Table) 
--
CREATE TABLE UOC.GCU_MARCA
(
  MAR_ID          NUMBER(9),
  MAR_NOMBRE      VARCHAR2(20 BYTE)             NOT NULL,
  MAR_AUDFALTA    DATE                          DEFAULT SYSDATE,
  MAR_AUDUSRALTA  NUMBER(9),
  MAR_AUDFMOD     DATE,
  MAR_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_MARCA IS 'Informacin de la marca';

COMMENT ON COLUMN UOC.GCU_MARCA.MAR_ID IS 'Id de la marca';

COMMENT ON COLUMN UOC.GCU_MARCA.MAR_NOMBRE IS 'Nombre de la marca';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_USUARIO  (Table) 
--
CREATE TABLE UOC.GCU_USUARIO
(
  USR_ID      NUMBER(9),
  USR_PASS    VARCHAR2(100 BYTE)                NOT NULL,
  USR_EMPID   NUMBER(9),
  USR_NOMUSR  VARCHAR2(10 BYTE)                 NOT NULL
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_USUARIO IS 'Informacin de los usuarios del sistema';

COMMENT ON COLUMN UOC.GCU_USUARIO.USR_ID IS 'Id de usuario';

COMMENT ON COLUMN UOC.GCU_USUARIO.USR_PASS IS 'Password del usuario';

COMMENT ON COLUMN UOC.GCU_USUARIO.USR_EMPID IS 'Id del empleado al que pertenece el usuario';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_MODELO  (Table) 
--
CREATE TABLE UOC.GCU_MODELO
(
  MOD_ID          NUMBER(9),
  MOD_NOMBRE      VARCHAR2(50 BYTE)             NOT NULL,
  MOD_MARID       NUMBER(9)                     NOT NULL,
  MOD_PVP         NUMBER(15,3)                  NOT NULL,
  MOD_AUDFALTA    DATE                          DEFAULT SYSDATE,
  MOD_AUDUSRALTA  NUMBER(9),
  MOD_AUDFMOD     DATE,
  MOD_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_MODELO IS 'Informacin de los modelos de vehculo';

COMMENT ON COLUMN UOC.GCU_MODELO.MOD_ID IS 'Id de modelo';

COMMENT ON COLUMN UOC.GCU_MODELO.MOD_NOMBRE IS 'Nombre de modelo';

COMMENT ON COLUMN UOC.GCU_MODELO.MOD_MARID IS 'Id de la marca a la que pertenece';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_EMPLEADO  (Table) 
--
CREATE TABLE UOC.GCU_EMPLEADO
(
  EMP_ID          NUMBER(9),
  EMP_CONID       NUMBER(9)                     NOT NULL,
  EMP_NOMBRE      VARCHAR2(25 BYTE)             NOT NULL,
  EMP_APELLIDOS   VARCHAR2(50 BYTE)             NOT NULL,
  EMP_DIRECCION   VARCHAR2(100 BYTE)            NOT NULL,
  EMP_TELEFONO    VARCHAR2(15 BYTE)             NOT NULL,
  EMP_NSS         VARCHAR2(10 BYTE)             NOT NULL,
  EMP_DNI         VARCHAR2(15 BYTE)             NOT NULL,
  EMP_SUELDO      NUMBER(15,3)                  NOT NULL,
  EMP_COSTE       NUMBER(15,3)                  NOT NULL,
  EMP_JEFE        CHAR(1 BYTE)                  DEFAULT 0                     NOT NULL,
  EMP_FECHAALTA   DATE                          NOT NULL,
  EMP_FECHABAJA   DATE,
  EMP_AUDFALTA    DATE                          DEFAULT SYSDATE,
  EMP_AUDUSRALTA  NUMBER(9),
  EMP_AUDFMOD     DATE,
  EMP_AUDUSRMOD   NUMBER(9),
  EMP_TIPOEMP     CHAR(1 BYTE)                  NOT NULL
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_EMPLEADO IS 'Informacin de los empleados de los concesionarios';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_ID IS 'Id de empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_CONID IS 'Id del concesario al que pertenece el empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_NOMBRE IS 'Nombre del empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_APELLIDOS IS 'Apellidos del empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_DIRECCION IS 'Direccin del empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_TELEFONO IS 'Telfono del empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_NSS IS 'Nmero de seguridad social del empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_DNI IS 'DNI del empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_SUELDO IS 'Sueldo del empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_COSTE IS 'Coste total del empleado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_JEFE IS 'Indica si el empleado es el encargado';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_FECHAALTA IS 'Fecha de alta en la empresa';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_FECHABAJA IS 'Fecha de baja en la empresa';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_AUDFALTA IS 'Auditora: Fecha de alta del registro';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_AUDUSRALTA IS 'Auditora: Usuario que da de alta el registro';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_AUDFMOD IS 'Auditora: Fecha de modificacin del registro';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_AUDUSRMOD IS 'Auditora: Usuario que realiza la ltima modificacin del registro';

COMMENT ON COLUMN UOC.GCU_EMPLEADO.EMP_TIPOEMP IS 'Tipo de empleado. M:Mecnico, C:Comercial';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CATALOGO  (Table) 
--
CREATE TABLE UOC.GCU_CATALOGO
(
  CAT_ID          NUMBER(9),
  CAT_CARID       NUMBER(9)                     NOT NULL,
  CAT_MODID       NUMBER(9)                     NOT NULL,
  CAT_EXTRA       CHAR(1 BYTE)                  DEFAULT 0                     NOT NULL,
  CAT_PVP         NUMBER(15,3),
  CAT_AUDFALTA    DATE                          DEFAULT SYSDATE,
  CAT_AUDUSRALTA  NUMBER(9),
  CAT_AUDFMOD     DATE,
  CAT_AUDUSRMOD   NUMBER(9)
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOCOMPRESS ;

COMMENT ON TABLE UOC.GCU_CATALOGO IS 'Informacin del catlogo de caractersticas por modelo';

COMMENT ON COLUMN UOC.GCU_CATALOGO.CAT_ID IS 'Id de catlogo';

COMMENT ON COLUMN UOC.GCU_CATALOGO.CAT_CARID IS 'Id de caracterstica';

COMMENT ON COLUMN UOC.GCU_CATALOGO.CAT_MODID IS 'Id de modelo';

COMMENT ON COLUMN UOC.GCU_CATALOGO.CAT_EXTRA IS 'Indica si la caracterstica forma parte de la configuracin bsica del modelo(0) o si es una caracterstica extra (1)';

COMMENT ON COLUMN UOC.GCU_CATALOGO.CAT_PVP IS 'Precio de venta a pblico si la caracterstica es extra';



/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CONCESIONARIO_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_CONCESIONARIO_PK ON UOC.GCU_EMPLEADO
(EMP_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_USUARIO_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_USUARIO_PK ON UOC.GCU_USUARIO
(USR_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_MARCA_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_MARCA_PK ON UOC.GCU_MARCA
(MAR_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CARACTERISTICA_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_CARACTERISTICA_PK ON UOC.GCU_CARACTERISTICA
(CAR_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_MODELO_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_MODELO_PK ON UOC.GCU_MODELO
(MOD_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_VEHCULO_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_VEHCULO_PK ON UOC.GCU_VEHICULO
(VEH_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CONFIGURACION_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_CONFIGURACION_PK ON UOC.GCU_CONFIGURACION
(CNF_VEHID, CNF_CARID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_CLIENTE_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_CLIENTE_PK ON UOC.GCU_CLIENTE
(CLI_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_VENTA_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_VENTA_PK ON UOC.GCU_VENTA
(VEN_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_LINEAFACTURA_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_LINEAFACTURA_PK ON UOC.GCU_LINEAFACTURA
(LIN_ID, LIN_FACID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_REPARACION_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_REPARACION_PK ON UOC.GCU_REPARACION
(REP_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_TAREA_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_TAREA_PK ON UOC.GCU_TAREA
(TAR_ID, TAR_REPID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- GCU_AUDITORIA_PK  (Index) 
--
CREATE UNIQUE INDEX UOC.GCU_AUDITORIA_PK ON UOC.GCU_AUDITORIA
(AUD_ID)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- UQ_EMP_NSS  (Index) 
--
CREATE UNIQUE INDEX UOC.UQ_EMP_NSS ON UOC.GCU_EMPLEADO
(EMP_NSS)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- UQ_EMP_DNI  (Index) 
--
CREATE UNIQUE INDEX UOC.UQ_EMP_DNI ON UOC.GCU_EMPLEADO
(EMP_DNI)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- UQ_VEH_BASTIDOR  (Index) 
--
CREATE UNIQUE INDEX UOC.UQ_VEH_BASTIDOR ON UOC.GCU_VEHICULO
(VEH_BASTIDOR)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- UQ_VEH_MATRICULA  (Index) 
--
CREATE UNIQUE INDEX UOC.UQ_VEH_MATRICULA ON UOC.GCU_VEHICULO
(VEH_MATRICULA)
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           );


/* This object may not be sorted properly in the script due to cirular references */
--
-- PKG_GCU_MAESTROS  (Package) 
--
CREATE OR REPLACE PACKAGE UOC.PKG_GCU_MAESTROS IS

--
--Este package gestiona los datos de los maestros: 
-- Concesionarios
-- Marcas
-- Modelos
-- Caractersticas
-- Catlogo
-- Empleados
--

--
-- GESTIN DE CONCESIONARIOS
--
Procedure Crea_Concesionario(
p_NOMBRE in varchar2, 
p_DIRECCION In Varchar2, 
p_TELEFONO In Varchar2, 
p_USERID In Number);

Procedure Modifica_Concesionario(
p_CONID In Number, 
p_NOMBRE In varchar2, 
p_DIRECCION In Varchar2, 
p_TELEFONO In Varchar2, 
p_USERID In Number);

Procedure Elimina_Concesionario (
p_CONID In Number,
p_USERID In Number); 

--
-- GESTIN DE MARCAS
--
Procedure Crea_Marca(
p_NOMBRE in varchar2, 
p_USERID In Number);

Procedure Modifica_Marca(
p_MARID In Number, 
p_NOMBRE In varchar2,  
p_USERID In Number);

Procedure Elimina_Marca (
p_MARID In Number,
p_USERID In Number);

--
-- GESTIN DE MODELOS
--
Procedure Crea_Modelo(
p_NOMBRE in varchar2, 
p_MARID In Varchar2, 
p_PVP In Varchar2, 
p_USERID In Number);

Procedure Modifica_Modelo(
p_MODID In Number, 
p_NOMBRE In Varchar2,
p_MARID In Varchar2, 
p_PVP In Varchar2, 
p_USERID In Number);

Procedure Elimina_Modelo (
p_MODID In Number,
p_USERID In Number);

--
-- GESTIN DE CARACTERSTICAS
--

Procedure Crea_Caracterisica(
p_DESCRIPCION in varchar2, 
p_USERID In Number);

Procedure Modifica_Caracteristica(
p_DESCRIPCION In Varchar2, 
p_CARID In Number,
p_USERID In Number);

Procedure Elimina_Caracteristica (
p_CARID In Number,
p_USERID In Number);

--
-- GESTIN DE CATLOGO
--

Procedure Crea_Catalogo(
p_CARID In number, 
p_MODID In Number, 
p_EXTRA In Char, 
p_PVP IN Number,
p_DESCRIPCION in varchar2, 
p_USERID In Number);

Procedure Modifica_Catalogo(
p_CATID In Number, 
p_CARID In Number,
p_MODID In Number,
p_EXTRA In Char,
p_PVP In Number,
p_USERID In Number);

Procedure Elimina_Catalogo (
p_CATID In Number,
p_USERID In Number);

--
-- GESTIN DE EMPLEADOS
--

Procedure Crea_Empleado(
p_CONID In number, 
p_NOMBRE In Varchar2, 
p_APELLIDOS In Varchar2, 
p_DIRECCION IN Varchar2,
p_TELEFONO in Varchar2, 
p_NSS In Varchar2,
p_DNI In Varchar2,
p_SUELDO In Number,
p_COSTE In Number,
p_JEFE In Char,
p_FECHAALTA In Date,
p_FECHABAJA In Date,
p_TIPOEMP In Char,
p_USERID In Number);

Procedure Modifica_Empleado(
p_EMPID In Number, 
p_CONID In number, 
p_NOMBRE In Varchar2, 
p_APELLIDOS In Varchar2, 
p_DIRECCION IN Varchar2,
p_TELEFONO in Varchar2, 
p_NSS In Varchar2,
p_DNI In Varchar2,
p_SUELDO In Number,
p_COSTE In Number,
p_JEFE In Char,
p_FECHAALTA In Date,
p_FECHABAJA In Date,
p_TIPOEMP In Char,
p_USERID In Number);

Procedure Elimina_Empleado (
p_EMPID In Number,
p_USERID In Number);

END PKG_GCU_MAESTROS;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- PKG_GCU_VEHICULO  (Package) 
--
CREATE OR REPLACE PACKAGE UOC.PKG_GCU_VEHICULO IS

Procedure Crea_Vehiculo(
p_BASTIDOR In Varchar2, 
p_MATRICULA In Varchar2,
p_COLOR In Varchar2, 
p_MODID IN Number,
p_USERID In Number);

Procedure Modifica_Vehiculo(
p_VEHID In Number, 
p_BASTIDOR In Varchar2,
p_MATRICULA In Varchar2,
p_COLOR In Varchar2,
p_MODID In Number,
p_USERID In Number);

Procedure Elimina_Vehiculo (
p_VEHID In Number,
p_USERID In Number);

Procedure Vehiculo_Vendido (
p_VEHID In Number,
p_VENDIDO In Char,
p_USERID In Number);

--
--CONFIGURACIN DEL VEHCULO. Funciones para configurar el vehculo, aadir o eliminar caracterstica. 
--

Procedure Add_Caracteristica (
p_VEHID In Number,
p_CARID In Number,
p_USERID In Number);

Procedure Delete_Caracteristica (
p_VEHID In Number,
p_CARID In Number,
p_USERID In Number);

END PKG_GCU_VEHICULO;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- PKG_GCU_MAESTROS  (Package Body) 
--
CREATE OR REPLACE PACKAGE BODY UOC.PKG_GCU_MAESTROS IS

Procedure Crea_Concesionario(
p_NOMBRE in varchar2, 
p_DIRECCION In Varchar2, 
p_TELEFONO In Varchar2, 
p_USERID In Number)Is
--
-- Crea un nuevo concesionario. . 
--


Begin 

    Insert into GCU_CONCESIONARIO
    (CON_NOMBRE, CON_DIRECCION, CON_TELEFONO, CON_AUDUSRALTA)
    VALUES
    (p_NOMBRE, p_DIRECCION, p_TELEFONO, p_USERID); 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20001, 'Error al crear concesionario: '||p_NOMBRE);
    

end Crea_Concesionario;

Procedure Modifica_Concesionario(
p_CONID In Number, 
p_NOMBRE In varchar2, 
p_DIRECCION In Varchar2, 
p_TELEFONO In Varchar2, 
p_USERID In Number)Is
--
-- Modifica los datos de un concesionario
--
Begin 

    Update GCU_CONCESIONARIO
    Set CON_NOMBRE = p_NOMBRE,
        CON_DIRECCION = p_DIRECCION, 
        CON_TELEFONO = p_TELEFONO,
        CON_AUDUSRMOD = p_USERID
    Where CON_ID = p_CONID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20002, 'Error al modificar el concesionario: '||p_CONID);
     
End Modifica_Concesionario; 

Procedure Elimina_Concesionario (
p_CONID In Number,
p_USERID In Number)Is 
--
-- Elimina un concesionario
--
Begin
-- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 
    UPDATE GCU_CONCESIONARIO
    SET CON_AUDUSRMOD = p_USERID
    WHERE CON_ID =p_CONID; 

    DELETE GCU_CONCESIONARIO
    WHERE CON_ID =p_CONID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20003, 'Error al eliminar el concesionario: '||p_CONID);

End Elimina_Concesionario;

Procedure Crea_Marca(
p_NOMBRE in varchar2, 
p_USERID In Number)Is
--
-- Crea una nueva marca. . 
--
Begin 

    Insert into GCU_MARCA
    (MAR_NOMBRE, MAR_AUDUSRALTA)
    VALUES
    (p_NOMBRE, p_USERID); 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20004, 'Error al crear la marca: '||p_NOMBRE);

end Crea_Marca;

Procedure Modifica_Marca(
p_MARID In Number, 
p_NOMBRE In varchar2,  
p_USERID In Number)Is
--
-- Modifica el nombre de una marca
--
Begin 

    Update GCU_MARCA
    Set MAR_NOMBRE = p_NOMBRE,
    MAR_AUDUSRMOD = p_USERID
    Where MAR_ID = p_MARID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20005, 'Error al modificar la marca: '||p_MARID);
     
End Modifica_Marca; 

Procedure Elimina_Marca (
p_MARID In Number,
p_USERID In Number)Is 
--
-- Elimina un concesionario
--
Begin

    -- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 
    UPDATE GCU_MARCA
    SET MAR_AUDUSRMOD = p_USERID
    WHERE MAR_ID = p_MARID; 
    
    DELETE GCU_MARCA
    WHERE MAR_ID =p_MARID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20006, 'Error al eliminar la marca: '||p_MARID);

End Elimina_Marca;
 
Procedure Crea_Modelo(
p_NOMBRE in varchar2, 
p_MARID In Varchar2, 
p_PVP In Varchar2, 
p_USERID In Number)Is
--
-- Crea un nuevo modelo. . 
--
Begin 

    Insert into GCU_MODELO
    (MOD_NOMBRE, MOD_MARID, MOD_PVP, MOD_AUDUSRALTA)
    VALUES
    (p_NOMBRE, p_MARID, p_PVP, p_USERID); 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20001, 'Error al crear modelo: '||p_NOMBRE);
    

end Crea_Modelo;

Procedure Modifica_Modelo(
p_MODID In Number, 
p_NOMBRE In Varchar2,
p_MARID In Varchar2, 
p_PVP In Varchar2, 
p_USERID In Number)Is
--
-- Modifica los datos de un modelo
--
Begin 

    Update GCU_MODELO
    Set MOD_MARID = p_MARID,
        MOD_PVP = p_PVP, 
        MOD_NOMBRE = p_NOMBRE,
        MOD_AUDUSRMOD = p_USERID
    Where MOD_ID = p_MODID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20002, 'Error al modificar el modelo: '||p_MODID);
     
End Modifica_Modelo; 

Procedure Elimina_Modelo (
p_MODID In Number,
p_USERID In Number)Is 
--
-- Elimina un modelo
--
Begin

    -- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 
    UPDATE GCU_MODELO
    SET MOD_AUDUSRMOD = p_USERID
    WHERE MOD_ID =p_MODID;  
    
    DELETE GCU_MODELO
    WHERE MOD_ID =p_MODID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20003, 'Error al eliminar el modelo: '||p_MODID);

End Elimina_Modelo;


Procedure Crea_Caracterisica(
p_DESCRIPCION in varchar2, 
p_USERID In Number)Is
--
-- Crea una nueva Caracterstica. . 
--
Begin 

    Insert into GCU_CARACTERISTICA
    (CAR_DESCRIPCION, CAR_AUDUSRALTA)
    VALUES
    (p_DESCRIPCION, p_USERID); 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20001, 'Error al crear caracterstica: '||p_DESCRIPCION);
    

end Crea_Caracterisica;

Procedure Modifica_Caracteristica(
p_DESCRIPCION In Varchar2, 
p_CARID In Number,
p_USERID In Number)Is
--
-- Modifica los datos de un modelo
--
Begin 

    Update GCU_CARACTERISTICA
    Set CAR_DESCRIPCION = p_DESCRIPCION,
        CAR_AUDUSRMOD = p_USERID
    Where CAR_ID = p_CARID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20002, 'Error al modificar el caracterstica: '||p_DESCRIPCION);
     
End Modifica_Caracteristica; 

Procedure Elimina_Caracteristica (
p_CARID In Number,
p_USERID In Number)Is 
--
-- Elimina un modelo
--
Begin

    -- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 
    UPDATE GCU_CARACTERISTICA
    SET CAR_AUDUSRMOD = p_USERID
    WHERE CAR_ID = p_CARID; 

    DELETE GCU_CARACTERISTICA
    WHERE CAR_ID =p_CARID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20003, 'Error al eliminar la caracteristica: '||p_CARID);

End Elimina_Caracteristica;

Procedure Crea_Catalogo(
p_CARID In number, 
p_MODID In Number, 
p_EXTRA In Char, 
p_PVP IN Number,
p_DESCRIPCION in varchar2, 
p_USERID In Number)Is
--
-- Crea una nueva Caracterstica. . 
--
Begin 

    Insert into GCU_CATALOGO
    (CAT_CARID, CAT_MODID, CAT_EXTRA, CAT_PVP, CAT_AUDUSRALTA)
    VALUES
    (p_CARID, p_MODID, p_EXTRA, p_PVP, p_USERID); 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20001, 'Error al crear catlogo: '||p_CARID||' * '||p_MODID);
    

end Crea_Catalogo;

Procedure Modifica_Catalogo(
p_CATID In Number, 
p_CARID In Number,
p_MODID In Number,
p_EXTRA In Char,
p_PVP In Number,
p_USERID In Number)Is
--
-- Modifica los datos de un modelo
--
Begin 

    Update GCU_CATALOGO
    Set CAT_CARID = p_CARID,
        CAT_MODID = p_MODID,
        CAT_EXTRA = p_EXTRA,
        CAT_PVP = p_PVP,
        CAT_AUDUSRMOD = p_USERID
    Where CAT_ID = p_CATID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20002, 'Error al modificar el catlogo: '||p_CATID);
     
End Modifica_Catalogo; 

Procedure Elimina_Catalogo (
p_CATID In Number,
p_USERID In Number)Is 
--
-- Elimina un modelo
--
Begin

    -- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 
    UPDATE GCU_CATALOGO
    SET CAT_AUDUSRMOD = p_USERID
    WHERE CAT_ID = p_CATID; 

    DELETE GCU_CATALOGO
    WHERE CAT_ID =p_CATID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20003, 'Error al eliminar la catlogo: '||p_CATID);

End Elimina_Catalogo;

Procedure Crea_Empleado(
p_CONID In number, 
p_NOMBRE In Varchar2, 
p_APELLIDOS In Varchar2, 
p_DIRECCION IN Varchar2,
p_TELEFONO in Varchar2, 
p_NSS In Varchar2,
p_DNI In Varchar2,
p_SUELDO In Number,
p_COSTE In Number,
p_JEFE In Char,
p_FECHAALTA In Date,
p_FECHABAJA In Date,
p_TIPOEMP In Char,
p_USERID In Number)Is
--
-- Crea una nueva Caracterstica. . 
--
Begin 

    Insert into GCU_EMPLEADO
    (EMP_CONID, EMP_NOMBRE, EMP_APELLIDOS, EMP_DIRECCION, EMP_TELEFONO, EMP_NSS,EMP_DNI,
    EMP_SUELDO, EMP_COSTE, EMP_JEFE, EMP_FECHAALTA, EMP_FECHABAJA, EMP_TIPOEMP, EMP_AUDUSRALTA)
    VALUES
    (p_CONID, p_NOMBRE, p_APELLIDOS, p_DIRECCION, p_TELEFONO, p_NSS, p_DNI,
    p_SUELDO, p_COSTE, p_JEFE, p_FECHAALTA, p_FECHABAJA, p_TIPOEMP, p_USERID); 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20001, 'Error al crear empleado: '||p_NOMBRE||' * '||p_APELLIDOS);
    

end Crea_Empleado;

Procedure Modifica_Empleado(
p_EMPID In Number, 
p_CONID In number, 
p_NOMBRE In Varchar2, 
p_APELLIDOS In Varchar2, 
p_DIRECCION IN Varchar2,
p_TELEFONO in Varchar2, 
p_NSS In Varchar2,
p_DNI In Varchar2,
p_SUELDO In Number,
p_COSTE In Number,
p_JEFE In Char,
p_FECHAALTA In Date,
p_FECHABAJA In Date,
p_TIPOEMP In Char,
p_USERID In Number)Is
--
-- Modifica los datos de un modelo
--
Begin 

    Update GCU_EMPLEADO
    Set EMP_CONID = p_CONID,
        EMP_NOMBRE = p_NOMBRE, 
        EMP_APELLIDOS = p_APELLIDOS,
        EMP_DIRECCION = p_DIRECCION,
        EMP_TELEFONO = p_TELEFONO,
        EMP_NSS = p_NSS,
        EMP_DNI = p_DNI,
        EMP_SUELDO = p_SUELDO,
        EMP_COSTE = p_COSTE,
        EMP_JEFE = p_JEFE,
        EMP_FECHAALTA = p_FECHAALTA,
        EMP_FECHABAJA = p_FECHABAJA,
        EMP_TIPOEMP = p_TIPOEMP,
        EMP_AUDUSRMOD = p_USERID
    Where EMP_ID = p_EMPID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20002, 'Error al modificar el empleado: '||p_EMPID);
     
End Modifica_Empleado; 

Procedure Elimina_Empleado (
p_EMPID In Number,
p_USERID In Number)Is 
--
-- Elimina un modelo
--
Begin

    -- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 
    UPDATE GCU_EMPLEADO
    SET EMP_AUDUSRMOD = p_USERID
    WHERE EMP_ID = p_EMPID; 

    DELETE GCU_EMPLEADO
    WHERE EMP_ID =p_EMPID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20003, 'Error al eliminar el vehculo: '||p_EMPID);

End Elimina_Empleado;
      
END PKG_GCU_MAESTROS;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- PKG_GCU_VEHICULO  (Package Body) 
--
CREATE OR REPLACE PACKAGE BODY UOC.PKG_GCU_VEHICULO IS

Procedure Crea_Vehiculo(
p_BASTIDOR In Varchar2, 
p_MATRICULA In Varchar2,
p_COLOR In Varchar2, 
p_MODID IN Number,
p_USERID In Number)Is
--
-- Crea un nuevo vehculo. Si el usuario que crea un vehculo es un mecnico, entonces el vehiculo
-- se ha creado para hacer una reparacin. En caso contrario se trata de un vehculo nuevo o seminuevo.   
--

v_CONID GCU_VEHICULO.VEH_CONID%Type;

v_VENDIDO GCU_VEHICULO.VEH_VENDIDO%Type; 

Begin 

    --
    -- Obtenemos el concesionario del usuario. 
    --
    v_CONID := FUN_GET_CONID_BY_USER(p_USERID); 
    
    --
    -- Si el usuario es un mecnico, est creando el coche para registrarlo en una reparacin, por tanto
    -- el vehculo est vendido.Si el usuario es un comercial, el coche es nuevo o seminuevo. 
    --
    If FUN_GET_TIPEMP_BY_USER(p_USERID) = 'M' Then
    
        v_VENDIDO := '1';
    
    Else v_VENDIDO := '0';
    
    End If;    

    Insert into GCU_VEHICULO
    (VEH_BASTIDOR, VEH_MATRICULA, VEH_COLOR, VEH_MODID, VEH_CONID, VEH_VENDIDO, VEH_AUDUSRALTA)
    VALUES
    (p_BASTIDOR, p_MATRICULA, p_COLOR, p_MODID, v_CONID, v_VENDIDO, p_USERID); 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20001, 'Error al crear vehiculo: '||p_BASTIDOR);
    

end Crea_Vehiculo;

Procedure Modifica_Vehiculo(
p_VEHID In Number, 
p_BASTIDOR In Varchar2,
p_MATRICULA In Varchar2,
p_COLOR In Varchar2,
p_MODID In Number,
p_USERID In Number)Is
--
-- Modifica los datos de un vehculo
--
Begin 

    Update GCU_VEHICULO
    Set VEH_BASTIDOR = p_BASTIDOR,
        VEH_MATRICULA = p_MATRICULA,
        VEH_COLOR = p_COLOR,
        VEH_MODID = p_MODID,
        VEH_AUDUSRMOD = p_USERID
    Where VEH_ID = p_VEHID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20002, 'Error al modificar el vehculo: '||p_VEHID);
     
End Modifica_Vehiculo; 

Procedure Elimina_Vehiculo (
p_VEHID In Number,
p_USERID In Number)Is 
--
-- Elimina un vehculo
--
Begin

    -- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 
    UPDATE GCU_VEHICULO
    SET VEH_AUDUSRMOD = p_USERID
    WHERE VEH_ID = p_VEHID; 

    DELETE GCU_VEHICULO
    WHERE VEH_ID =p_VEHID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20003, 'Error al eliminar el vehculo: '||p_VEHID);

End Elimina_Vehiculo;

Procedure Vehiculo_Vendido (
p_VEHID In Number,
p_VENDIDO In Char,
p_USERID In Number)Is 
--
-- Marca un vehculo como vendido. 
--
Begin

    -- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 
    UPDATE GCU_VEHICULO
    SET VEH_VENDIDO = p_VENDIDO,
        VEH_AUDUSRMOD = p_USERID
    WHERE VEH_ID = p_VEHID; 
    
Exception WHEN OTHERS THEN
    raise_application_error (-20003, 'Error al marcar el vehculo cmo vendido: '||p_VEHID);

End Vehiculo_Vendido;

Procedure Add_Caracteristica (
p_VEHID In Number,
p_CARID In Number,
p_USERID In Number) Is
--
-- Aade una caracterstica extra a un vehiculo. 
-- A partir del modelo del vehculo validamos si la caracterstica que deseamos aadir es vlida. 
-- Entendemos por caracterstica vlida aquella que est contemplada en el catalgo como caracterstica extra 
-- y que est disponible para el modelo del vehculo.   
--

Cursor c_CAR_VALIDA Is
Select 'S' 
FROM GCU_CATALOGO
JOIN GCU_MODELO ON CAT_MODID = MOD_ID
JOIN GCU_VEHICULO ON MOD_ID = VEH_MODID
Where VEH_ID = p_VEHID
AND CAT_CARID = p_CARID
AND CAT_EXTRA = '1';

v_CAR_VALIDA c_CAR_VALIDA%RowType;

Cursor c_CNF_VALIDA Is
Select 'S'
FROM GCU_CONFIGURACION
Where CNF_VEHID = p_VEHID
And CNF_CARID = p_CARID; 

v_CNF_VALIDA c_CNF_VALIDA%RowType;

Begin

    --
    -- Validamos si la caracterstica es vlida
    --
    Open c_CAR_VALIDA; 
    Fetch c_CAR_VALIDA Into v_CAR_VALIDA;
    If c_CAR_VALIDA%Found Then
    
        --
        -- Comprueba que la caracterstica no exista
        --
        Open c_CNF_VALIDA;
        Fetch c_CNF_VALIDA Into v_CNF_VALIDA;
        If c_CNF_VALIDA%NotFound Then
        
            --
            -- Aade la caracterstica a la configuracin del vehculo
            --
            Insert into GCU_CONFIGURACION
            (CNF_VEHID, CNF_CARID, CNF_AUDUSRALTA)
            Values
            (p_VEHID, p_CARID, p_USERID);
        Else
            raise_application_error (-20000, 'Caracterstica repetida:' ||p_CARID||' * '||p_VEHID);
        End If;  
        
    Else
        raise_application_error (-20000, 'Caracterstica no vlida');
    End if; 
    
End Add_Caracteristica;

Procedure Delete_Caracteristica (
p_VEHID In Number,
p_CARID In Number,
p_USERID In Number) Is
--
-- Elimina la Caracterstica
--
Begin 

    -- 
    -- Guardamos el usuario de modificacin para guardarlo posteriormente en la auditora. 
    -- 

    UPDATE GCU_CONFIGURACION
    Set CNF_AUDUSRMOD = p_USERID
    Where CNF_VEHID = p_VEHID
    AND CNF_CARID = p_CARID;
    
    DELETE GCU_CONFIGURACION
    WHERE CNF_VEHID = p_VEHID
    AND CNF_CARID = p_CARID; 

End Delete_Caracteristica;

END PKG_GCU_VEHICULO;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- FUN_ENCRIPTA  (Function) 
--
CREATE OR REPLACE FUNCTION UOC.FUN_ENCRIPTA (VALOR VARCHAR2) RETURN VARCHAR2 IS
    --
    -- DESCRIPCIN: Funcin de encriptacin de valores
    -- USO: Usada para encriptar contraseas
    -- OBSERVACIONES: Al realizar login, encriptamos la contrasea y la comparamos 
    --                con el valor encriptado de la tabla (GSU_USUARIO.USR_PASS)
    --
    
    AUX GCU_USUARIO.USR_PASS%Type; 
    
BEGIN 
        
    AUX:= SYS.DBMS_OBFUSCATION_TOOLKIT.MD5 (INPUT => UTL_RAW.CAST_TO_RAW(VALOR));
    
    RETURN RAWTOHEX(AUX);
   -- RETURN UTL_RAW.cast_to_varchar2(AUX);
    
END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- FUN_GET_CONID_BY_USER  (Function) 
--
CREATE OR REPLACE FUNCTION UOC.FUN_GET_CONID_BY_USER (p_USERID NUMBER) RETURN NUMBER IS
    --
    -- DESCRIPCIN: Funcin que obtiene el concesionario del usuario conectado
    -- USO: Usada para guardar el concesionario en el vehculo a la hora de crearlo. 
    -- OBSERVACIONES: Cuando un empleado inserta un vehculo este pasa a formar parte del inventario del concesionario
    --               al que pertenece dicho usuario
    --
    
    
    --
    -- Obtiene id de concesionario
    --
    Cursor c_CONCESIONARIO Is
    Select EMP_CONID
    From GCU_EMPLEADO
    JOIN GCU_USUARIO ON EMP_ID = USR_EMPID
    Where USR_ID = p_USERID; 
    
    v_CONID GCU_EMPLEADO.EMP_CONID%Type;   
    
BEGIN 
        
    Open c_CONCESIONARIO; 
    Fetch c_CONCESIONARIO Into v_CONID;
    Close c_CONCESIONARIO;  
    
    IF v_CONID Is Null Then
        raise_application_error (-20000,'Error al obtener el concesionario'); 
    End If; 

    return v_CONID; 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20001, 'Error al obtener el concesionario del usuario '||p_USERID);
        
END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- FUN_GET_TIPEMP_BY_USER  (Function) 
--
CREATE OR REPLACE FUNCTION UOC.FUN_GET_TIPEMP_BY_USER (p_USERID NUMBER) RETURN NUMBER IS
    --
    -- DESCRIPCIN: Funcin que obtiene el tipo de empleado del usuario conectado
    -- USO: Usada al guardar un nuevo vehculo. 
    -- 
    
    --
    -- Obtiene id de concesionario
    --
    Cursor c_TIPOEMP Is
    Select EMP_TIPOEMP
    From GCU_EMPLEADO
    JOIN GCU_USUARIO ON EMP_ID = USR_EMPID
    Where USR_ID = p_USERID; 
    
    v_TIPOEMP GCU_EMPLEADO.EMP_TIPOEMP%Type;   
    
BEGIN 
        
    Open c_TIPOEMP; 
    Fetch c_TIPOEMP Into v_TIPOEMP;
    Close c_TIPOEMP;  

    return v_TIPOEMP; 

Exception WHEN OTHERS THEN
    
    Raise_Application_Error(-20001, 'Error al obtener el tipo de empleado del usuario '||p_USERID);
        
END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_CON_REPARACIONES  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_CON_REPARACIONES
(REP_ID, REP_FECHAINICIO, REP_FECHAFIN, REP_CLIENTE, REP_TELEFONO, 
 REP_FACID, REP_REVISION, REP_VEHID, REP_AUDFALTA, REP_AUDUSRALTA, 
 REP_AUDFMOD, REP_AUDSRMOD, REP_EMPID, TAR_ID, TAR_REPID, 
 TAR_CONCEPTO, TAR_HORAS, TAR_EMPID, TAR_FACTURABLE, TAR_AUDFALTA, 
 TAR_AUDUSRALTA, TAR_AUDFMOD, TAR_AUDSRMOD, EMP_ID, EMP_CONID, 
 EMP_NOMBRE, EMP_APELLIDOS, EMP_DIRECCION, EMP_TELEFONO, EMP_NSS, 
 EMP_DNI, EMP_SUELDO, EMP_COSTE, EMP_JEFE, EMP_FECHAALTA, 
 EMP_FECHABAJA, EMP_AUDFALTA, EMP_AUDUSRALTA, EMP_AUDFMOD, EMP_AUDUSRMOD, 
 EMP_TIPOEMP, FAC_ID, FAC_CONTABILIZADA, FAC_AUDFALTA, FAC_AUDUSRALTA, 
 FAC_AUDFMOD, FAC_AUDSRMOD, LIN_ID, LIN_FACID, LIN_CONCEPTO, 
 LIN_COSTE, LIN_PVP, LIN_AUDFALTA, LIN_AUDUSRALTA, LIN_AUDFMOD, 
 LIN_AUDSRMOD)
AS 
SELECT "REP_ID",
          "REP_FECHAINICIO",
          "REP_FECHAFIN",
          "REP_CLIENTE",
          "REP_TELEFONO",
          "REP_FACID",
          "REP_REVISION",
          "REP_VEHID",
          "REP_AUDFALTA",
          "REP_AUDUSRALTA",
          "REP_AUDFMOD",
          "REP_AUDSRMOD",
          "REP_EMPID",
          "TAR_ID",
          "TAR_REPID",
          "TAR_CONCEPTO",
          "TAR_HORAS",
          "TAR_EMPID",
          "TAR_FACTURABLE",
          "TAR_AUDFALTA",
          "TAR_AUDUSRALTA",
          "TAR_AUDFMOD",
          "TAR_AUDSRMOD",
          "EMP_ID",
          "EMP_CONID",
          "EMP_NOMBRE",
          "EMP_APELLIDOS",
          "EMP_DIRECCION",
          "EMP_TELEFONO",
          "EMP_NSS",
          "EMP_DNI",
          "EMP_SUELDO",
          "EMP_COSTE",
          "EMP_JEFE",
          "EMP_FECHAALTA",
          "EMP_FECHABAJA",
          "EMP_AUDFALTA",
          "EMP_AUDUSRALTA",
          "EMP_AUDFMOD",
          "EMP_AUDUSRMOD",
          "EMP_TIPOEMP",
          "FAC_ID",
          "FAC_CONTABILIZADA",
          "FAC_AUDFALTA",
          "FAC_AUDUSRALTA",
          "FAC_AUDFMOD",
          "FAC_AUDSRMOD",
          "LIN_ID",
          "LIN_FACID",
          "LIN_CONCEPTO",
          "LIN_COSTE",
          "LIN_PVP",
          "LIN_AUDFALTA",
          "LIN_AUDUSRALTA",
          "LIN_AUDFMOD",
          "LIN_AUDSRMOD"
     FROM VW_DWH_DIM_REPARACIONES
          LEFT JOIN GCU_FACTURA ON REP_FACID = FAC_ID
          JOIN GCU_LINEAFACTURA ON LIN_FACID = FAC_ID;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_DIM_EMPLEADOS  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_DIM_EMPLEADOS
(EMP_ID, EMP_CONID, EMP_NOMBRE, EMP_APELLIDOS, EMP_DIRECCION, 
 EMP_TELEFONO, EMP_NSS, EMP_DNI, EMP_SUELDO, EMP_COSTE, 
 EMP_JEFE, EMP_FECHAALTA, EMP_FECHABAJA, EMP_AUDFALTA, EMP_AUDUSRALTA, 
 EMP_AUDFMOD, EMP_AUDUSRMOD, EMP_TIPOEMP)
AS 
SELECT "EMP_ID","EMP_CONID","EMP_NOMBRE","EMP_APELLIDOS","EMP_DIRECCION","EMP_TELEFONO","EMP_NSS","EMP_DNI","EMP_SUELDO","EMP_COSTE","EMP_JEFE","EMP_FECHAALTA","EMP_FECHABAJA","EMP_AUDFALTA","EMP_AUDUSRALTA","EMP_AUDFMOD","EMP_AUDUSRMOD","EMP_TIPOEMP" FROM GCU_EMPLEADO;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_DIM_CLIENTES  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_DIM_CLIENTES
(CLI_ID, CLI_NOMBRE, CLI_APELLIDO, CLI_TELEFONO, CLI_EMAIL, 
 CLI_FNAC, CLI_PROFESION, CLI_AUDFALTA, CLI_AUDUSRALTA, CLI_AUDFMOD, 
 CLI_AUDSRMOD)
AS 
SELECT "CLI_ID","CLI_NOMBRE","CLI_APELLIDO","CLI_TELEFONO","CLI_EMAIL","CLI_FNAC","CLI_PROFESION","CLI_AUDFALTA","CLI_AUDUSRALTA","CLI_AUDFMOD","CLI_AUDSRMOD" FROM GCU_CLIENTE;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_DIM_VENTAS  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_DIM_VENTAS
(VEN_ID, VEN_VEHID, VEN_CLIID, VEN_FECHA, VEN_EMPID, 
 VEN_FACID, VEN_AUDFALTA, VEN_AUDUSRALTA, VEN_AUDFMOD, VEN_AUDSRMOD, 
 FAC_ID, FAC_CONTABILIZADA, FAC_AUDFALTA, FAC_AUDUSRALTA, FAC_AUDFMOD, 
 FAC_AUDSRMOD, LIN_ID, LIN_FACID, LIN_CONCEPTO, LIN_COSTE, 
 LIN_PVP, LIN_AUDFALTA, LIN_AUDUSRALTA, LIN_AUDFMOD, LIN_AUDSRMOD)
AS 
SELECT "VEN_ID","VEN_VEHID","VEN_CLIID","VEN_FECHA","VEN_EMPID","VEN_FACID","VEN_AUDFALTA","VEN_AUDUSRALTA","VEN_AUDFMOD","VEN_AUDSRMOD","FAC_ID","FAC_CONTABILIZADA","FAC_AUDFALTA","FAC_AUDUSRALTA","FAC_AUDFMOD","FAC_AUDSRMOD","LIN_ID","LIN_FACID","LIN_CONCEPTO","LIN_COSTE","LIN_PVP","LIN_AUDFALTA","LIN_AUDUSRALTA","LIN_AUDFMOD","LIN_AUDSRMOD" FROM GCU_VENTA 
JOIN GCU_FACTURA ON VEN_FACID = FAC_ID
JOIN GCU_LINEAFACTURA ON FAC_ID = LIN_FACID;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_DIM_VEHICULOS  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_DIM_VEHICULOS
(VEH_ID, VEH_BASTIDOR, VEH_MATRICULA, VEH_COLOR, VEH_MODID, 
 VEH_VENDIDO, VEH_AUDFALTA, VEH_AUDUSRALTA, VEH_AUDFMOD, VEH_AUDSRMOD, 
 VEH_CONID, MOD_ID, MOD_NOMBRE, MOD_MARID, MOD_PVP, 
 MOD_AUDFALTA, MOD_AUDUSRALTA, MOD_AUDFMOD, MOD_AUDSRMOD, MAR_ID, 
 MAR_NOMBRE, MAR_AUDFALTA, MAR_AUDUSRALTA, MAR_AUDFMOD, MAR_AUDSRMOD, 
 CNF_VEHID, CNF_CARID, CNF_AUDFALTA, CNF_AUDUSRALTA, CNF_AUDFMOD, 
 CNF_AUDSRMOD, CAR_ID, CAR_DESCRIPCION, CAR_AUDFALTA, CAR_AUDUSRALTA, 
 CAR_AUDFMOD, CAR_AUDSRMOD)
AS 
SELECT "VEH_ID","VEH_BASTIDOR","VEH_MATRICULA","VEH_COLOR","VEH_MODID","VEH_VENDIDO","VEH_AUDFALTA","VEH_AUDUSRALTA","VEH_AUDFMOD","VEH_AUDSRMOD","VEH_CONID","MOD_ID","MOD_NOMBRE","MOD_MARID","MOD_PVP","MOD_AUDFALTA","MOD_AUDUSRALTA","MOD_AUDFMOD","MOD_AUDSRMOD","MAR_ID","MAR_NOMBRE","MAR_AUDFALTA","MAR_AUDUSRALTA","MAR_AUDFMOD","MAR_AUDSRMOD","CNF_VEHID","CNF_CARID","CNF_AUDFALTA","CNF_AUDUSRALTA","CNF_AUDFMOD","CNF_AUDSRMOD","CAR_ID","CAR_DESCRIPCION","CAR_AUDFALTA","CAR_AUDUSRALTA","CAR_AUDFMOD","CAR_AUDSRMOD" FROM GCU_VEHICULO 
JOIN GCU_MODELO ON MOD_ID = VEH_MODID
JOIN GCU_MARCA ON MAR_ID = MOD_MARID
JOIN GCU_CONFIGURACION ON CNF_VEHID = VEH_ID 
LEFT JOIN GCU_CARACTERISTICA  ON CAR_ID = CNF_CARID;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_CON_COMERCIAL  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_CON_COMERCIAL
(VEN_ID, VEN_VEHID, VEN_CLIID, VEN_FECHA, VEN_EMPID, 
 VEN_FACID, VEN_AUDFALTA, VEN_AUDUSRALTA, VEN_AUDFMOD, VEN_AUDSRMOD, 
 FAC_ID, FAC_CONTABILIZADA, FAC_AUDFALTA, FAC_AUDUSRALTA, FAC_AUDFMOD, 
 FAC_AUDSRMOD, LIN_ID, LIN_FACID, LIN_CONCEPTO, LIN_COSTE, 
 LIN_PVP, LIN_AUDFALTA, LIN_AUDUSRALTA, LIN_AUDFMOD, LIN_AUDSRMOD, 
 CLI_ID, CLI_NOMBRE, CLI_APELLIDO, CLI_TELEFONO, CLI_EMAIL, 
 CLI_FNAC, CLI_PROFESION, CLI_AUDFALTA, CLI_AUDUSRALTA, CLI_AUDFMOD, 
 CLI_AUDSRMOD, EMP_ID, EMP_CONID, EMP_NOMBRE, EMP_APELLIDOS, 
 EMP_DIRECCION, EMP_TELEFONO, EMP_NSS, EMP_DNI, EMP_SUELDO, 
 EMP_COSTE, EMP_JEFE, EMP_FECHAALTA, EMP_FECHABAJA, EMP_AUDFALTA, 
 EMP_AUDUSRALTA, EMP_AUDFMOD, EMP_AUDUSRMOD, EMP_TIPOEMP, VEH_ID, 
 VEH_BASTIDOR, VEH_MATRICULA, VEH_COLOR, VEH_MODID, VEH_VENDIDO, 
 VEH_AUDFALTA, VEH_AUDUSRALTA, VEH_AUDFMOD, VEH_AUDSRMOD, VEH_CONID, 
 MOD_ID, MOD_NOMBRE, MOD_MARID, MOD_PVP, MOD_AUDFALTA, 
 MOD_AUDUSRALTA, MOD_AUDFMOD, MOD_AUDSRMOD, MAR_ID, MAR_NOMBRE, 
 MAR_AUDFALTA, MAR_AUDUSRALTA, MAR_AUDFMOD, MAR_AUDSRMOD, CNF_VEHID, 
 CNF_CARID, CNF_AUDFALTA, CNF_AUDUSRALTA, CNF_AUDFMOD, CNF_AUDSRMOD, 
 CAR_ID, CAR_DESCRIPCION, CAR_AUDFALTA, CAR_AUDUSRALTA, CAR_AUDFMOD, 
 CAR_AUDSRMOD)
AS 
SELECT "VEN_ID","VEN_VEHID","VEN_CLIID","VEN_FECHA","VEN_EMPID","VEN_FACID","VEN_AUDFALTA","VEN_AUDUSRALTA","VEN_AUDFMOD","VEN_AUDSRMOD","FAC_ID","FAC_CONTABILIZADA","FAC_AUDFALTA","FAC_AUDUSRALTA","FAC_AUDFMOD","FAC_AUDSRMOD","LIN_ID","LIN_FACID","LIN_CONCEPTO","LIN_COSTE","LIN_PVP","LIN_AUDFALTA","LIN_AUDUSRALTA","LIN_AUDFMOD","LIN_AUDSRMOD","CLI_ID","CLI_NOMBRE","CLI_APELLIDO","CLI_TELEFONO","CLI_EMAIL","CLI_FNAC","CLI_PROFESION","CLI_AUDFALTA","CLI_AUDUSRALTA","CLI_AUDFMOD","CLI_AUDSRMOD","EMP_ID","EMP_CONID","EMP_NOMBRE","EMP_APELLIDOS","EMP_DIRECCION","EMP_TELEFONO","EMP_NSS","EMP_DNI","EMP_SUELDO","EMP_COSTE","EMP_JEFE","EMP_FECHAALTA","EMP_FECHABAJA","EMP_AUDFALTA","EMP_AUDUSRALTA","EMP_AUDFMOD","EMP_AUDUSRMOD","EMP_TIPOEMP","VEH_ID","VEH_BASTIDOR","VEH_MATRICULA","VEH_COLOR","VEH_MODID","VEH_VENDIDO","VEH_AUDFALTA","VEH_AUDUSRALTA","VEH_AUDFMOD","VEH_AUDSRMOD","VEH_CONID","MOD_ID","MOD_NOMBRE","MOD_MARID","MOD_PVP","MOD_AUDFALTA","MOD_AUDUSRALTA","MOD_AUDFMOD","MOD_AUDSRMOD","MAR_ID","MAR_NOMBRE","MAR_AUDFALTA","MAR_AUDUSRALTA","MAR_AUDFMOD","MAR_AUDSRMOD","CNF_VEHID","CNF_CARID","CNF_AUDFALTA","CNF_AUDUSRALTA","CNF_AUDFMOD","CNF_AUDSRMOD","CAR_ID","CAR_DESCRIPCION","CAR_AUDFALTA","CAR_AUDUSRALTA","CAR_AUDFMOD","CAR_AUDSRMOD" FROM VW_DWH_DIM_VENTAS VEN 
JOIN VW_DWH_DIM_CLIENTES CLI ON CLI.CLI_ID = VEN.VEN_CLIID
JOIN VW_DWH_DIM_EMPLEADOS EMP ON EMP.EMP_ID = VEN.VEN_EMPID
JOIN VW_DWH_DIM_VEHICULOS VEH ON VEH.VEH_ID = VEN.VEN_VEHID;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_CON_MARKETING  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_CON_MARKETING
(CLI_ID, CLI_NOMBRE, CLI_APELLIDO, CLI_TELEFONO, CLI_EMAIL, 
 CLI_FNAC, CLI_PROFESION, CLI_AUDFALTA, CLI_AUDUSRALTA, CLI_AUDFMOD, 
 CLI_AUDSRMOD, VEN_ID, VEN_VEHID, VEN_CLIID, VEN_FECHA, 
 VEN_EMPID, VEN_FACID, VEN_AUDFALTA, VEN_AUDUSRALTA, VEN_AUDFMOD, 
 VEN_AUDSRMOD, FAC_ID, FAC_CONTABILIZADA, FAC_AUDFALTA, FAC_AUDUSRALTA, 
 FAC_AUDFMOD, FAC_AUDSRMOD, LIN_ID, LIN_FACID, LIN_CONCEPTO, 
 LIN_COSTE, LIN_PVP, LIN_AUDFALTA, LIN_AUDUSRALTA, LIN_AUDFMOD, 
 LIN_AUDSRMOD)
AS 
SELECT "CLI_ID","CLI_NOMBRE","CLI_APELLIDO","CLI_TELEFONO","CLI_EMAIL","CLI_FNAC","CLI_PROFESION","CLI_AUDFALTA","CLI_AUDUSRALTA","CLI_AUDFMOD","CLI_AUDSRMOD","VEN_ID","VEN_VEHID","VEN_CLIID","VEN_FECHA","VEN_EMPID","VEN_FACID","VEN_AUDFALTA","VEN_AUDUSRALTA","VEN_AUDFMOD","VEN_AUDSRMOD","FAC_ID","FAC_CONTABILIZADA","FAC_AUDFALTA","FAC_AUDUSRALTA","FAC_AUDFMOD","FAC_AUDSRMOD","LIN_ID","LIN_FACID","LIN_CONCEPTO","LIN_COSTE","LIN_PVP","LIN_AUDFALTA","LIN_AUDUSRALTA","LIN_AUDFMOD","LIN_AUDSRMOD" 
FROM VW_DWH_DIM_CLIENTES CLI
JOIN VW_DWH_DIM_VENTAS VEN ON CLI.CLI_ID = VEN_CLIID;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_DIM_REPARACIONES  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_DIM_REPARACIONES
(REP_ID, REP_FECHAINICIO, REP_FECHAFIN, REP_CLIENTE, REP_TELEFONO, 
 REP_FACID, REP_REVISION, REP_VEHID, REP_AUDFALTA, REP_AUDUSRALTA, 
 REP_AUDFMOD, REP_AUDSRMOD, REP_EMPID, TAR_ID, TAR_REPID, 
 TAR_CONCEPTO, TAR_HORAS, TAR_EMPID, TAR_FACTURABLE, TAR_AUDFALTA, 
 TAR_AUDUSRALTA, TAR_AUDFMOD, TAR_AUDSRMOD, EMP_ID, EMP_CONID, 
 EMP_NOMBRE, EMP_APELLIDOS, EMP_DIRECCION, EMP_TELEFONO, EMP_NSS, 
 EMP_DNI, EMP_SUELDO, EMP_COSTE, EMP_JEFE, EMP_FECHAALTA, 
 EMP_FECHABAJA, EMP_AUDFALTA, EMP_AUDUSRALTA, EMP_AUDFMOD, EMP_AUDUSRMOD, 
 EMP_TIPOEMP)
AS 
SELECT "REP_ID","REP_FECHAINICIO","REP_FECHAFIN","REP_CLIENTE","REP_TELEFONO","REP_FACID","REP_REVISION","REP_VEHID","REP_AUDFALTA","REP_AUDUSRALTA","REP_AUDFMOD","REP_AUDSRMOD","REP_EMPID","TAR_ID","TAR_REPID","TAR_CONCEPTO","TAR_HORAS","TAR_EMPID","TAR_FACTURABLE","TAR_AUDFALTA","TAR_AUDUSRALTA","TAR_AUDFMOD","TAR_AUDSRMOD","EMP_ID","EMP_CONID","EMP_NOMBRE","EMP_APELLIDOS","EMP_DIRECCION","EMP_TELEFONO","EMP_NSS","EMP_DNI","EMP_SUELDO","EMP_COSTE","EMP_JEFE","EMP_FECHAALTA","EMP_FECHABAJA","EMP_AUDFALTA","EMP_AUDUSRALTA","EMP_AUDFMOD","EMP_AUDUSRMOD","EMP_TIPOEMP" FROM GCU_REPARACION REP
JOIN GCU_TAREA ON TAR_REPID = REP_ID
JOIN GCU_EMPLEADO ON EMP_ID = REP_EMPID;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_DWH_CON_CONCESIONARIO  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_DWH_CON_CONCESIONARIO
(EMP_ID, EMP_CONID, EMP_NOMBRE, EMP_APELLIDOS, EMP_DIRECCION, 
 EMP_TELEFONO, EMP_NSS, EMP_DNI, EMP_SUELDO, EMP_COSTE, 
 EMP_JEFE, EMP_FECHAALTA, EMP_FECHABAJA, EMP_AUDFALTA, EMP_AUDUSRALTA, 
 EMP_AUDFMOD, EMP_AUDUSRMOD, EMP_TIPOEMP, VEN_ID, VEN_VEHID, 
 VEN_CLIID, VEN_FECHA, VEN_EMPID, VEN_FACID, VEN_AUDFALTA, 
 VEN_AUDUSRALTA, VEN_AUDFMOD, VEN_AUDSRMOD, FAC_ID, FAC_CONTABILIZADA, 
 FAC_AUDFALTA, FAC_AUDUSRALTA, FAC_AUDFMOD, FAC_AUDSRMOD, LIN_ID, 
 LIN_FACID, LIN_CONCEPTO, LIN_COSTE, LIN_PVP, LIN_AUDFALTA, 
 LIN_AUDUSRALTA, LIN_AUDFMOD, LIN_AUDSRMOD)
AS 
SELECT "EMP_ID","EMP_CONID","EMP_NOMBRE","EMP_APELLIDOS","EMP_DIRECCION","EMP_TELEFONO","EMP_NSS","EMP_DNI","EMP_SUELDO","EMP_COSTE","EMP_JEFE","EMP_FECHAALTA","EMP_FECHABAJA","EMP_AUDFALTA","EMP_AUDUSRALTA","EMP_AUDFMOD","EMP_AUDUSRMOD","EMP_TIPOEMP","VEN_ID","VEN_VEHID","VEN_CLIID","VEN_FECHA","VEN_EMPID","VEN_FACID","VEN_AUDFALTA","VEN_AUDUSRALTA","VEN_AUDFMOD","VEN_AUDSRMOD","FAC_ID","FAC_CONTABILIZADA","FAC_AUDFALTA","FAC_AUDUSRALTA","FAC_AUDFMOD","FAC_AUDSRMOD","LIN_ID","LIN_FACID","LIN_CONCEPTO","LIN_COSTE","LIN_PVP","LIN_AUDFALTA","LIN_AUDUSRALTA","LIN_AUDFMOD","LIN_AUDSRMOD" FROM VW_DWH_DIM_EMPLEADOS EMP
LEFT JOIN VW_DWH_DIM_VENTAS VEN ON VEN.VEN_EMPID = EMP.EMP_ID;


/* This object may not be sorted properly in the script due to cirular references */
--
-- VW_GCU_INVENTARIO  (View) 
--
CREATE OR REPLACE FORCE VIEW UOC.VW_GCU_INVENTARIO
(VEH_ID, VEH_BASTIDOR, VEH_MATRICULA, VEH_COLOR, VEH_MODID, 
 VEH_VENDIDO, VEH_AUDFALTA, VEH_AUDUSRALTA, VEH_AUDFMOD, VEH_AUDUSRMOD, 
 VEH_CONID)
AS 
SELECT "VEH_ID","VEH_BASTIDOR","VEH_MATRICULA","VEH_COLOR","VEH_MODID","VEH_VENDIDO","VEH_AUDFALTA","VEH_AUDUSRALTA","VEH_AUDFMOD","VEH_AUDUSRMOD","VEH_CONID" FROM GCU_VEHICULO
WHERE VEH_VENDIDO = '1';


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CLI_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CLI_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_CLIENTE FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CLIENTE','Insercin: '||:NEW.CLI_NOMBRE||' * '||:NEW.CLI_APELLIDO||' * '||:NEW.CLI_TELEFONO||' * '||:NEW.CLI_EMAIL||' * '
        ||:NEW.CLI_FNAC||' * '||:NEW.CLI_PROFESION, :NEW.CLI_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CLIENTE','Actualizacin: '||:OLD.CLI_ID||' * '||:OLD.CLI_NOMBRE||' * '||:OLD.CLI_APELLIDO||' * '||:OLD.CLI_TELEFONO||' * '||:OLD.CLI_EMAIL||' * '
        ||:OLD.CLI_FNAC||' * '||:OLD.CLI_PROFESION||' => '||:NEW.CLI_NOMBRE||' * '||:NEW.CLI_APELLIDO||' * '||:NEW.CLI_TELEFONO||' * '
        ||:NEW.CLI_EMAIL||' * '||:NEW.CLI_FNAC||' * '||:NEW.CLI_PROFESION, :NEW.CLI_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CAT_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CAT_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_CATALOGO FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CATALOGO','Insercin: '||:NEW.CAT_CARID||' * '||:NEW.CAT_MODID||' * '||:NEW.CAT_EXTRA||' * '||:NEW.CAT_PVP, :NEW.CAT_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CATALOGO','Actualizacin: '||:OLD.CAT_ID||' * '||:OLD.CAT_CARID||' * '||:OLD.CAT_MODID||' * '||:OLD.CAT_EXTRA||' * '||:OLD.CAT_PVP||' => '
        ||:NEW.CAT_CARID||' * '||:NEW.CAT_MODID||' * '||:NEW.CAT_EXTRA||' * '||:NEW.CAT_PVP, :NEW.CAT_AUDUSRMOD);
    END IF;    

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CON_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CON_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_CONCESIONARIO FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CONCESIONARIO','Insercin: '||:NEW.CON_NOMBRE||' * '||:NEW.CON_DIRECCION||' * '||:NEW.CON_TELEFONO, :NEW.CON_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CONCESIONARIO','Actualizacin: '||:OLD.CON_ID||' * '||:OLD.CON_NOMBRE||' * '||:OLD.CON_DIRECCION||' * '||:OLD.CON_TELEFONO||' => '
        ||:NEW.CON_NOMBRE||' * '||:NEW.CON_DIRECCION||' * '||:NEW.CON_TELEFONO, :NEW.CON_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_REP_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_REP_PK
BEFORE INSERT
ON UOC.GCU_REPARACION FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_REP_PK.NextVal INTO :NEW.REP_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_VEH_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_VEH_PK
BEFORE INSERT
ON UOC.GCU_VEHICULO FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_VEH_PK.NextVal INTO :NEW.VEH_ID FROM DUAL; 
    
END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_USR_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_USR_PK
BEFORE INSERT
ON UOC.GCU_USUARIO FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_USR_PK.NextVal into :NEW.USR_ID from dual;
    SELECT FUN_ENCRIPTA(:NEW.USR_PASS) INTO :NEW.USR_PASS FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CAR_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CAR_PK
BEFORE INSERT 
ON UOC.GCU_CARACTERISTICA FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_CAR_PK.NextVal Into :NEW.CAR_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CAT_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CAT_USR
BEFORE INSERT
ON UOC.GCU_CATALOGO FOR EACH ROW
BEGIN 
    
    SELECT SEQ_CAT_PK.NextVal INTO :NEW.CAT_ID FROM DUAL; 
    :NEW.CAT_AUDUSRALTA := 1;   

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CAT_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CAT_PK
BEFORE INSERT
ON UOC.GCU_CATALOGO FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_CAT_PK.NextVal INTO :NEW.CAT_ID FROM DUAL;    

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_AUD_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_AUD_PK
BEFORE INSERT
ON UOC.GCU_AUDITORIA FOR EACH ROW
BEGIN 
    
   SELECT SEQ_AUD_PK.NextVal INTO :NEW.AUD_ID FROM DUAL;

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CLI_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CLI_PK
BEFORE INSERT
ON UOC.GCU_CLIENTE FOR EACH ROW
DISABLE
BEGIN 
    
   SELECT SEQ_CLI_PK.NextVal INTO :NEW.CLI_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CON_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CON_PK
BEFORE INSERT
ON UOC.GCU_CONCESIONARIO FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_CON_PK.NextVal INTO :NEW.CON_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_EMP_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_EMP_PK
BEFORE INSERT
ON UOC.GCU_EMPLEADO FOR EACH ROW
DISABLE
BEGIN 
    
   SELECT SEQ_EMP_PK.NextVal INTO :NEW.EMP_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_FAC_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_FAC_PK
BEFORE INSERT
ON UOC.GCU_FACTURA FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_FAC_PK.NextVal INTO :NEW.FAC_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_LIN_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_LIN_PK
BEFORE INSERT
ON UOC.GCU_LINEAFACTURA FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_LIN_PK.NextVal INTO :NEW.LIN_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_MAR_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_MAR_PK
BEFORE INSERT
ON UOC.GCU_MARCA FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_MAR_PK.NextVal INTO :NEW.MAR_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_MOD_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_MOD_PK
BEFORE INSERT
ON UOC.GCU_MODELO FOR EACH ROW
DISABLE
BEGIN 
  
    SELECT SEQ_MOD_PK.NextVal INTO :NEW.MOD_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_TAR_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_TAR_PK
BEFORE INSERT
ON UOC.GCU_TAREA FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_TAR_PK.NextVal INTO :NEW.TAR_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_VEN_PK  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_VEN_PK
BEFORE INSERT
ON UOC.GCU_VENTA FOR EACH ROW
DISABLE
BEGIN 
    
    SELECT SEQ_VEN_PK.NextVal INTO :NEW.VEN_ID FROM DUAL; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CAR_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CAR_USR
BEFORE INSERT
ON UOC.GCU_CARACTERISTICA FOR EACH ROW
BEGIN 
    
   SELECT SEQ_CAR_PK.NextVal INTO :NEW.CAR_ID FROM DUAL; 
   :NEW.CAR_AUDUSRALTA := 1; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CLI_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CLI_USR
BEFORE INSERT
ON UOC.GCU_CLIENTE FOR EACH ROW
BEGIN 
    
   SELECT SEQ_CLI_PK.NextVal INTO :NEW.CLI_ID FROM DUAL; 
   :NEW.CLI_AUDUSRALTA := 1;

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CON_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CON_USR
BEFORE INSERT
ON UOC.GCU_CONCESIONARIO FOR EACH ROW
BEGIN 
    
    SELECT SEQ_CON_PK.NextVal INTO :NEW.CON_ID FROM DUAL;
    :NEW.CON_AUDUSRALTA := 1; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_EMP_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_EMP_USR
BEFORE INSERT
ON UOC.GCU_EMPLEADO FOR EACH ROW
BEGIN 
    
   SELECT SEQ_EMP_PK.NextVal INTO :NEW.EMP_ID FROM DUAL; 
   :NEW.EMP_AUDUSRALTA := 1; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_FAC_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_FAC_USR
BEFORE INSERT
ON UOC.GCU_FACTURA FOR EACH ROW
BEGIN 
    
    SELECT SEQ_FAC_PK.NextVal INTO :NEW.FAC_ID FROM DUAL; 
    :NEW.FAC_AUDUSRALTA := 1;

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_LIN_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_LIN_USR
BEFORE INSERT
ON UOC.GCU_LINEAFACTURA FOR EACH ROW
BEGIN 
    
    SELECT SEQ_LIN_PK.NextVal INTO :NEW.LIN_ID FROM DUAL;
    :NEW.LIN_AUDUSRALTA := 1; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_MAR_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_MAR_USR
BEFORE INSERT
ON UOC.GCU_MARCA FOR EACH ROW
BEGIN 
    
    SELECT SEQ_MAR_PK.NextVal INTO :NEW.MAR_ID FROM DUAL; 
    :NEW.MAR_AUDUSRALTA := 1;

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_MOD_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_MOD_USR
BEFORE INSERT
ON UOC.GCU_MODELO FOR EACH ROW
BEGIN 
  
    SELECT SEQ_MOD_PK.NextVal INTO :NEW.MOD_ID FROM DUAL; 
    :NEW.MOD_AUDUSRALTA := 1;

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_REP_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_REP_USR
BEFORE INSERT
ON UOC.GCU_REPARACION FOR EACH ROW
BEGIN 
    
    SELECT SEQ_REP_PK.NextVal INTO :NEW.REP_ID FROM DUAL; 
    :NEW.REP_AUDUSRALTA := 1;

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_TAR_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_TAR_USR
BEFORE INSERT
ON UOC.GCU_TAREA FOR EACH ROW
BEGIN 
    
    SELECT SEQ_TAR_PK.NextVal INTO :NEW.TAR_ID FROM DUAL;
    :NEW.TAR_AUDUSRALTA := 1; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_VEH_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_VEH_USR
BEFORE INSERT
ON UOC.GCU_VEHICULO FOR EACH ROW
BEGIN 
    
    SELECT SEQ_VEH_PK.NextVal INTO :NEW.VEH_ID FROM DUAL; 
    :NEW.VEH_AUDUSRALTA := 1;
    
END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_VEN_USR  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_VEN_USR
BEFORE INSERT
ON UOC.GCU_VENTA FOR EACH ROW
BEGIN 
    
    SELECT SEQ_VEN_PK.NextVal INTO :NEW.VEN_ID FROM DUAL; 
    :NEW.VEN_AUDUSRALTA := 1; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_EMP_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_EMP_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_EMPLEADO FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_EMPLEADO','Insercin: '||:NEW.EMP_CONID||' * '||:NEW.EMP_NOMBRE||' * '||:NEW.EMP_APELLIDOS||' * '||:NEW.EMP_DIRECCION||' * '||:NEW.EMP_TELEFONO
        ||' * '||:NEW.EMP_NSS||' * '||:NEW.EMP_DNI||' * '||:NEW.EMP_SUELDO||' * '||:NEW.EMP_COSTE||' * '||:NEW.EMP_JEFE||' * '||:NEW.EMP_FECHAALTA||' * '||
        :NEW.EMP_FECHABAJA||' * '||:NEW.EMP_TIPOEMP, :NEW.EMP_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_EMPLEADO','Actualizacin: '||:OLD.EMP_ID||' * '||:OLD.EMP_CONID||' * '||:OLD.EMP_NOMBRE||' * '||:OLD.EMP_APELLIDOS||' * '||:OLD.EMP_DIRECCION||' * '||:OLD.EMP_TELEFONO
        ||' * '||:OLD.EMP_NSS||' * '||:OLD.EMP_DNI||' * '||:OLD.EMP_SUELDO||' * '||:OLD.EMP_COSTE||' * '||:OLD.EMP_JEFE||' * '||:OLD.EMP_FECHAALTA||' * '||
        :OLD.EMP_FECHABAJA||' * '||:OLD.EMP_TIPOEMP||' => '||:NEW.EMP_CONID||' * '||:NEW.EMP_NOMBRE||' * '||:NEW.EMP_APELLIDOS||' * '||:NEW.EMP_DIRECCION||' * '||:NEW.EMP_TELEFONO
        ||' * '||:NEW.EMP_NSS||' * '||:NEW.EMP_DNI||' * '||:NEW.EMP_SUELDO||' * '||:NEW.EMP_COSTE||' * '||:NEW.EMP_JEFE||' * '||:NEW.EMP_FECHAALTA||' * '||
        :NEW.EMP_FECHABAJA||' * '||:NEW.EMP_TIPOEMP, :NEW.EMP_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_REP_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_REP_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_REPARACION FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_REPARACION','Insercin: '||:NEW.REP_FECHAINICIO||' * '||:NEW.REP_FECHAFIN||' * '||:NEW.REP_CLIENTE||' * '||:NEW.REP_TELEFONO||' * '||
        :NEW.REP_FACID||' * '||:NEW.REP_REVISION||' * '||:NEW.REP_VEHID||' * '||:NEW.REP_EMPID,:NEW.REP_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_REPARACION','Actualizacin: '||:OLD.REP_FECHAINICIO||' * '||:OLD.REP_FECHAFIN||' * '||:OLD.REP_CLIENTE||' * '||:OLD.REP_TELEFONO||' * '||
        :OLD.REP_FACID||' * '||:OLD.REP_REVISION||' * '||:OLD.REP_VEHID||' * '||:OLD.REP_EMPID||' => '||:NEW.REP_FECHAINICIO||' * '||:NEW.REP_FECHAFIN
        ||' * '||:NEW.REP_CLIENTE||' * '||:NEW.REP_TELEFONO||' * '||:NEW.REP_FACID||' * '||:NEW.REP_REVISION||' * '||:NEW.REP_VEHID||' * '||:NEW.REP_EMPID, 
        :NEW.REP_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_FAC_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_FAC_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_FACTURA FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_FACTURA','Insercin: '||:NEW.FAC_ID||' * '||:NEW.FAC_CONTABILIZADA, :NEW.FAC_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_FACTURA','Actualizacin: '||:OLD.FAC_ID||' * '||:OLD.FAC_CONTABILIZADA||' => '||:NEW.FAC_ID||' * '||:NEW.FAC_CONTABILIZADA, :NEW.FAC_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_LIN_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_LIN_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_LINEAFACTURA FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_LINEAFACTURA','Insercin: '||:NEW.LIN_FACID||' * '||:NEW.LIN_ID||' * '||:NEW.LIN_CONCEPTO||' * '||:NEW.LIN_COSTE||' * '||:NEW.LIN_PVP, 
        :NEW.LIN_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_LINEAFACTURA','Actualizacin: '||:OLD.LIN_FACID||' * '||:OLD.LIN_ID||' * '||:OLD.LIN_CONCEPTO||' * '||:OLD.LIN_COSTE||' * '||:OLD.LIN_PVP
        ||' => '||:NEW.LIN_FACID||' * '||:NEW.LIN_ID||' * '||:NEW.LIN_CONCEPTO||' * '||:NEW.LIN_COSTE||' * '||:NEW.LIN_PVP, :NEW.LIN_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_MAR_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_MAR_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_MARCA FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_MARCA','Insercin: '||:NEW.MAR_NOMBRE,:NEW.MAR_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_MARCA','Actualizacin: '||:OLD.MAR_ID||' * '||:OLD.MAR_NOMBRE ||' => '||:NEW.MAR_ID||' * '||:NEW.MAR_NOMBRE, :NEW.MAR_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_MOD_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_MOD_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_MODELO FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_MODELO','Insercin: '||:NEW.MOD_NOMBRE||' * '||:NEW.MOD_MARID||' * '||:NEW.MOD_PVP,:NEW.MOD_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_MODELO','Actualizacin: '||:OLD.MOD_MARID||:OLD.MOD_NOMBRE||' * '||:OLD.MOD_MARID||' * '||:OLD.MOD_PVP||' => '
        ||:NEW.MOD_NOMBRE||' * '||:NEW.MOD_MARID||' * '||:NEW.MOD_PVP, :NEW.MOD_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_TAR_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_TAR_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_TAREA FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_Tarea','Insercin: '||:NEW.TAR_REPID||' * '||:NEW.TAR_CONCEPTO||' * '||:NEW.TAR_HORAS||' * '||:NEW.TAR_EMPID||' * '||
        :NEW.TAR_FACTURABLE,:NEW.TAR_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_Tarea','Actualizacin: '||:OLD.TAR_ID||' * '||:OLD.TAR_REPID||' * '||:OLD.TAR_CONCEPTO||' * '||:OLD.TAR_HORAS||' * '||:OLD.TAR_EMPID||' * '||
        :OLD.TAR_FACTURABLE||' => '||:NEW.TAR_REPID||' * '||:NEW.TAR_CONCEPTO||' * '||:NEW.TAR_HORAS||' * '||:NEW.TAR_EMPID||' * '||:NEW.TAR_FACTURABLE, 
        :NEW.TAR_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_VEH_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_VEH_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_VEHICULO FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_VEHICULO','Insercin: '||:NEW.VEH_BASTIDOR||' * '||:NEW.VEH_MATRICULA||' * '||:NEW.VEH_COLOR||' * '||:NEW.VEH_MODID||' * '||:NEW.VEH_VENDIDO
        ||' * '||:NEW.VEH_CONID,:NEW.VEH_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_VEHICULO','Actualizacin: '||:OLD.VEH_ID||' * '||:OLD.VEH_BASTIDOR||' * '||:OLD.VEH_MATRICULA||' * '||:OLD.VEH_COLOR||' * '||:OLD.VEH_MODID
        ||' * '||:OLD.VEH_VENDIDO ||' * '||:OLD.VEH_CONID||' => '||:NEW.VEH_BASTIDOR||' * '||:NEW.VEH_MATRICULA||' * '||:NEW.VEH_COLOR||' * '||:NEW.VEH_MODID
        ||' * '||:NEW.VEH_VENDIDO ||' * '||:NEW.VEH_CONID, :NEW.VEH_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CLI_MOD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CLI_MOD
BEFORE UPDATE OR DELETE
ON UOC.GCU_CLIENTE FOR EACH ROW
BEGIN 
    
    IF UPDATING THEN
        :NEW.CLI_AUDFMOD := SYSDATE;
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CLIENTE','Eliminacin: '||:OLD.CLI_NOMBRE||' * '||:OLD.CLI_APELLIDO, :NEW.CLI_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_VEN_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_VEN_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_VENTA FOR EACH ROW
BEGIN 
    
    IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_VENTA','Insercin: '||:NEW.VEN_VEHID||' * '||:NEW.VEN_CLIID||' * '||:NEW.VEN_FECHA||' * '||:NEW.VEN_EMPID||' * '||:NEW.VEN_FACID,:NEW.VEN_AUDUSRALTA);
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_VENTA','Actualizacin: '||:OLD.VEN_ID|| '* '||:NEW.VEN_VEHID||' * '||:NEW.VEN_CLIID||' * '||:NEW.VEN_FECHA||' * '||:NEW.VEN_EMPID||' * '||
        :NEW.VEN_FACID||' => '||:NEW.VEN_CLIID||' * '||:NEW.VEN_FECHA||' * '||:NEW.VEN_EMPID||' * '||:NEW.VEN_FACID, :NEW.VEN_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CAR_AUD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CAR_AUD
AFTER INSERT OR UPDATE
ON UOC.GCU_CARACTERISTICA FOR EACH ROW
BEGIN 
    
   IF INSERTING THEN
        INSERT INTO GCU_AUDITORIA 
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CARACTERISTICA','Insercin: '||:NEW.CAR_DESCRIPCION, :NEW.CAR_AUDUSRALTA);
   ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CARACTERISTICA','Actualizacin: '||:OLD.CAR_ID||' * '||:OLD.CAR_DESCRIPCION||' => '||:NEW.CAR_DESCRIPCION, :NEW.CAR_AUDUSRMOD);
        
   END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CAR_MOD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CAR_MOD
BEFORE UPDATE OR DELETE
ON UOC.GCU_CARACTERISTICA FOR EACH ROW
BEGIN 
    
   IF UPDATING THEN
       :NEW.CAR_AUDFMOD := SYSDATE; 
   ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CARACTERISTICA','Eliminacin: '||:OLD.CAR_ID||' * '||:OLD.CAR_DESCRIPCION, :OLD.CAR_AUDUSRMOD);
        
   END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CAT_MOD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CAT_MOD
BEFORE UPDATE OR DELETE
ON UOC.GCU_CATALOGO FOR EACH ROW
BEGIN 
    
   IF UPDATING THEN
       :NEW.CAT_AUDFMOD := SYSDATE; 
   ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CATALOGO','Eliminacin: '||:OLD.CAT_ID||' * '||:OLD.CAT_CARID||' * '||:OLD.CAT_MODID, :OLD.CAT_AUDUSRMOD);
        
   END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_CON_MOD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_CON_MOD
BEFORE UPDATE OR DELETE
ON UOC.GCU_CONCESIONARIO FOR EACH ROW
BEGIN 
    
    IF UPDATING THEN
        :NEW.CON_AUDFMOD := SYSDATE;
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_CONCESIONARIO','Eliminacin: '||:OLD.CON_NOMBRE, :OLD.CON_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_EMP_MOD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_EMP_MOD
BEFORE UPDATE OR DELETE
ON UOC.GCU_EMPLEADO FOR EACH ROW
BEGIN 
    
    IF UPDATING THEN
        :NEW.EMP_AUDFMOD := SYSDATE;
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_EMPLEADO','Eliminacin: '||:OLD.EMP_NOMBRE, :NEW.EMP_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_MOD_MOD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_MOD_MOD
BEFORE UPDATE OR DELETE
ON UOC.GCU_MODELO FOR EACH ROW
BEGIN 
    
    IF UPDATING THEN
        :NEW.MOD_AUDFMOD := SYSDATE;
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_MODELO','Eliminacin: '||:OLD.MOD_NOMBRE, :NEW.MOD_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_MAR_MOD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_MAR_MOD
BEFORE UPDATE OR DELETE
ON UOC.GCU_MARCA FOR EACH ROW
BEGIN 
    
    IF UPDATING THEN
        :NEW.MAR_AUDFMOD := SYSDATE;
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_MARCA','Eliminacin: '||:OLD.MAR_NOMBRE, :NEW.MAR_AUDUSRMOD);
    END IF; 

END;
/


/* This object may not be sorted properly in the script due to cirular references */
--
-- TRG_VEH_MOD  (Trigger) 
--
CREATE OR REPLACE TRIGGER UOC.TRG_VEH_MOD
BEFORE UPDATE OR DELETE
ON UOC.GCU_VEHICULO FOR EACH ROW
BEGIN 
    
   IF UPDATING THEN
        :NEW.VEH_AUDFMOD := SYSDATE;
    ELSE
        INSERT INTO GCU_AUDITORIA
        (AUD_TABLA, AUD_ACCION, AUD_USRID)
        VALUES
        ('GCU_VEHICULO','Eliminacin: '||:OLD.VEH_ID||' * '||:OLD.VEH_BASTIDOR||' * '||:OLD.VEH_MATRICULA, :NEW.VEH_AUDUSRMOD);
    END IF; 

END;
/


-- 
-- Non Foreign Key Constraints for Table SIS_ERRORES 
-- 
ALTER TABLE UOC.SIS_ERRORES ADD (
  PRIMARY KEY
  (CODIGO)
  USING INDEX
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));


-- 
-- Non Foreign Key Constraints for Table GCU_AUDITORIA 
-- 
ALTER TABLE UOC.GCU_AUDITORIA ADD (
  CONSTRAINT GCU_AUDITORIA_PK
  PRIMARY KEY
  (AUD_ID)
  USING INDEX UOC.GCU_AUDITORIA_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_TAREA 
-- 
ALTER TABLE UOC.GCU_TAREA ADD (
  CONSTRAINT GCU_TAREA_PK
  PRIMARY KEY
  (TAR_ID, TAR_REPID)
  USING INDEX UOC.GCU_TAREA_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_REPARACION 
-- 
ALTER TABLE UOC.GCU_REPARACION ADD (
  CONSTRAINT CH_REP_REVISION
  CHECK (rep_revision IN ('0','1')));

ALTER TABLE UOC.GCU_REPARACION ADD (
  CONSTRAINT GCU_REPARACION_PK
  PRIMARY KEY
  (REP_ID)
  USING INDEX UOC.GCU_REPARACION_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_LINEAFACTURA 
-- 
ALTER TABLE UOC.GCU_LINEAFACTURA ADD (
  CONSTRAINT GCU_LINEAFACTURA_PK
  PRIMARY KEY
  (LIN_ID, LIN_FACID)
  USING INDEX UOC.GCU_LINEAFACTURA_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_FACTURA 
-- 
ALTER TABLE UOC.GCU_FACTURA ADD (
  PRIMARY KEY
  (FAC_ID)
  USING INDEX
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));


-- 
-- Non Foreign Key Constraints for Table GCU_VENTA 
-- 
ALTER TABLE UOC.GCU_VENTA ADD (
  CONSTRAINT GCU_VENTA_PK
  PRIMARY KEY
  (VEN_ID)
  USING INDEX UOC.GCU_VENTA_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_CLIENTE 
-- 
ALTER TABLE UOC.GCU_CLIENTE ADD (
  CONSTRAINT GCU_CLIENTE_PK
  PRIMARY KEY
  (CLI_ID)
  USING INDEX UOC.GCU_CLIENTE_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_CONFIGURACION 
-- 
ALTER TABLE UOC.GCU_CONFIGURACION ADD (
  CONSTRAINT GCU_CONFIGURACION_PK
  PRIMARY KEY
  (CNF_VEHID, CNF_CARID)
  USING INDEX UOC.GCU_CONFIGURACION_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_VEHICULO 
-- 
ALTER TABLE UOC.GCU_VEHICULO ADD (
  CONSTRAINT CH_VEH_VENDIDO
  CHECK (VEH_VENDIDO IN ('0','1')));

ALTER TABLE UOC.GCU_VEHICULO ADD (
  CONSTRAINT GCU_VEHCULO_PK
  PRIMARY KEY
  (VEH_ID)
  USING INDEX UOC.GCU_VEHCULO_PK);

ALTER TABLE UOC.GCU_VEHICULO ADD (
  CONSTRAINT UQ_VEH_MATRICULA
  UNIQUE (VEH_MATRICULA)
  USING INDEX UOC.UQ_VEH_MATRICULA);

ALTER TABLE UOC.GCU_VEHICULO ADD (
  CONSTRAINT UQ_VEH_BASTIDOR
  UNIQUE (VEH_BASTIDOR)
  USING INDEX UOC.UQ_VEH_BASTIDOR);


-- 
-- Non Foreign Key Constraints for Table GCU_CARACTERISTICA 
-- 
ALTER TABLE UOC.GCU_CARACTERISTICA ADD (
  CONSTRAINT GCU_CARACTERISTICA_PK
  PRIMARY KEY
  (CAR_ID)
  USING INDEX UOC.GCU_CARACTERISTICA_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_CONCESIONARIO 
-- 
ALTER TABLE UOC.GCU_CONCESIONARIO ADD (
  PRIMARY KEY
  (CON_ID)
  USING INDEX
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));


-- 
-- Non Foreign Key Constraints for Table GCU_MARCA 
-- 
ALTER TABLE UOC.GCU_MARCA ADD (
  CONSTRAINT GCU_MARCA_PK
  PRIMARY KEY
  (MAR_ID)
  USING INDEX UOC.GCU_MARCA_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_USUARIO 
-- 
ALTER TABLE UOC.GCU_USUARIO ADD (
  CONSTRAINT GCU_USUARIO_PK
  PRIMARY KEY
  (USR_ID)
  USING INDEX UOC.GCU_USUARIO_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_MODELO 
-- 
ALTER TABLE UOC.GCU_MODELO ADD (
  CONSTRAINT GCU_MODELO_PK
  PRIMARY KEY
  (MOD_ID)
  USING INDEX UOC.GCU_MODELO_PK);


-- 
-- Non Foreign Key Constraints for Table GCU_EMPLEADO 
-- 
ALTER TABLE UOC.GCU_EMPLEADO ADD (
  CONSTRAINT CH_EMP_TIPOEMP
  CHECK (EMP_TIPOEMP IN ('M','C')));

ALTER TABLE UOC.GCU_EMPLEADO ADD (
  CONSTRAINT GCU_CONCESIONARIO_PK
  PRIMARY KEY
  (EMP_ID)
  USING INDEX UOC.GCU_CONCESIONARIO_PK);

ALTER TABLE UOC.GCU_EMPLEADO ADD (
  CONSTRAINT UQ_EMP_NSS
  UNIQUE (EMP_NSS)
  USING INDEX UOC.UQ_EMP_NSS);

ALTER TABLE UOC.GCU_EMPLEADO ADD (
  CONSTRAINT UQ_EMP_DNI
  UNIQUE (EMP_DNI)
  USING INDEX UOC.UQ_EMP_DNI);


-- 
-- Non Foreign Key Constraints for Table GCU_CATALOGO 
-- 
ALTER TABLE UOC.GCU_CATALOGO ADD (
  CONSTRAINT CH_CAT_EXTRA
  CHECK (CAT_EXTRA IN ('0','1')));

ALTER TABLE UOC.GCU_CATALOGO ADD (
  PRIMARY KEY
  (CAT_ID)
  USING INDEX
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));


-- 
-- Foreign Key Constraints for Table GCU_AUDITORIA 
-- 
ALTER TABLE UOC.GCU_AUDITORIA ADD (
  CONSTRAINT FK_AUD_USRID 
  FOREIGN KEY (AUD_USRID) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));


-- 
-- Foreign Key Constraints for Table GCU_TAREA 
-- 
ALTER TABLE UOC.GCU_TAREA ADD (
  CONSTRAINT FK_TAR_EMPID 
  FOREIGN KEY (TAR_EMPID) 
  REFERENCES UOC.GCU_EMPLEADO (EMP_ID));

ALTER TABLE UOC.GCU_TAREA ADD (
  CONSTRAINT FK_TAR_AUD1 
  FOREIGN KEY (TAR_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_TAREA ADD (
  CONSTRAINT FK_TAR_AUD2 
  FOREIGN KEY (TAR_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_TAREA ADD (
  CONSTRAINT FK_TAR_REPID 
  FOREIGN KEY (TAR_REPID) 
  REFERENCES UOC.GCU_REPARACION (REP_ID));


-- 
-- Foreign Key Constraints for Table GCU_REPARACION 
-- 
ALTER TABLE UOC.GCU_REPARACION ADD (
  CONSTRAINT FK_REP_EMPID 
  FOREIGN KEY (REP_EMPID) 
  REFERENCES UOC.GCU_EMPLEADO (EMP_ID));

ALTER TABLE UOC.GCU_REPARACION ADD (
  CONSTRAINT FK_REP_AUD1 
  FOREIGN KEY (REP_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_REPARACION ADD (
  CONSTRAINT FK_REP_AUD2 
  FOREIGN KEY (REP_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_REPARACION ADD (
  CONSTRAINT FK_REP_VEHID 
  FOREIGN KEY (REP_VEHID) 
  REFERENCES UOC.GCU_VEHICULO (VEH_ID));

ALTER TABLE UOC.GCU_REPARACION ADD (
  CONSTRAINT FK_REP_FACID 
  FOREIGN KEY (REP_FACID) 
  REFERENCES UOC.GCU_FACTURA (FAC_ID));


-- 
-- Foreign Key Constraints for Table GCU_LINEAFACTURA 
-- 
ALTER TABLE UOC.GCU_LINEAFACTURA ADD (
  CONSTRAINT FK_LIN_AUD1 
  FOREIGN KEY (LIN_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_LINEAFACTURA ADD (
  CONSTRAINT FK_LIN_AUD2 
  FOREIGN KEY (LIN_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_LINEAFACTURA ADD (
  CONSTRAINT FK_LIN_FACID 
  FOREIGN KEY (LIN_FACID) 
  REFERENCES UOC.GCU_FACTURA (FAC_ID));


-- 
-- Foreign Key Constraints for Table GCU_FACTURA 
-- 
ALTER TABLE UOC.GCU_FACTURA ADD (
  CONSTRAINT FK_FAC_AUD1 
  FOREIGN KEY (FAC_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_FACTURA ADD (
  CONSTRAINT FK_FAC_AUD2 
  FOREIGN KEY (FAC_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));


-- 
-- Foreign Key Constraints for Table GCU_VENTA 
-- 
ALTER TABLE UOC.GCU_VENTA ADD (
  CONSTRAINT FK_VEN_EMPID 
  FOREIGN KEY (VEN_EMPID) 
  REFERENCES UOC.GCU_EMPLEADO (EMP_ID));

ALTER TABLE UOC.GCU_VENTA ADD (
  CONSTRAINT FK_VEN_AUD1 
  FOREIGN KEY (VEN_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_VENTA ADD (
  CONSTRAINT FK_VEN_AUD2 
  FOREIGN KEY (VEN_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_VENTA ADD (
  CONSTRAINT FK_VEN_VEHID 
  FOREIGN KEY (VEN_VEHID) 
  REFERENCES UOC.GCU_VEHICULO (VEH_ID));

ALTER TABLE UOC.GCU_VENTA ADD (
  CONSTRAINT FK_VEN_CLIID 
  FOREIGN KEY (VEN_CLIID) 
  REFERENCES UOC.GCU_CLIENTE (CLI_ID));

ALTER TABLE UOC.GCU_VENTA ADD (
  CONSTRAINT FK_VEN_FACID 
  FOREIGN KEY (VEN_FACID) 
  REFERENCES UOC.GCU_FACTURA (FAC_ID));


-- 
-- Foreign Key Constraints for Table GCU_CLIENTE 
-- 
ALTER TABLE UOC.GCU_CLIENTE ADD (
  CONSTRAINT FK_CLI_AUD1 
  FOREIGN KEY (CLI_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_CLIENTE ADD (
  CONSTRAINT FK_CLI_AUD2 
  FOREIGN KEY (CLI_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));


-- 
-- Foreign Key Constraints for Table GCU_CONFIGURACION 
-- 
ALTER TABLE UOC.GCU_CONFIGURACION ADD (
  CONSTRAINT FK_CNF_AUD1 
  FOREIGN KEY (CNF_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_CONFIGURACION ADD (
  CONSTRAINT FK_CNF_AUD2 
  FOREIGN KEY (CNF_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_CONFIGURACION ADD (
  CONSTRAINT FK_CNF_CARID 
  FOREIGN KEY (CNF_CARID) 
  REFERENCES UOC.GCU_CARACTERISTICA (CAR_ID));

ALTER TABLE UOC.GCU_CONFIGURACION ADD (
  CONSTRAINT FK_CNF_VEHID 
  FOREIGN KEY (CNF_VEHID) 
  REFERENCES UOC.GCU_VEHICULO (VEH_ID));


-- 
-- Foreign Key Constraints for Table GCU_VEHICULO 
-- 
ALTER TABLE UOC.GCU_VEHICULO ADD (
  CONSTRAINT FK_VEH_CONID 
  FOREIGN KEY (VEH_CONID) 
  REFERENCES UOC.GCU_CONCESIONARIO (CON_ID));

ALTER TABLE UOC.GCU_VEHICULO ADD (
  CONSTRAINT FK_VEH_AUD1 
  FOREIGN KEY (VEH_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_VEHICULO ADD (
  CONSTRAINT FK_VEH_AUD2 
  FOREIGN KEY (VEH_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_VEHICULO ADD (
  CONSTRAINT FK_VEH_MODID 
  FOREIGN KEY (VEH_MODID) 
  REFERENCES UOC.GCU_MODELO (MOD_ID));


-- 
-- Foreign Key Constraints for Table GCU_CARACTERISTICA 
-- 
ALTER TABLE UOC.GCU_CARACTERISTICA ADD (
  CONSTRAINT FK_CAR_AUD1 
  FOREIGN KEY (CAR_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_CARACTERISTICA ADD (
  CONSTRAINT FK_CAR_AUD2 
  FOREIGN KEY (CAR_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));


-- 
-- Foreign Key Constraints for Table GCU_CONCESIONARIO 
-- 
ALTER TABLE UOC.GCU_CONCESIONARIO ADD (
  CONSTRAINT FK_CON_AUD1 
  FOREIGN KEY (CON_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_CONCESIONARIO ADD (
  CONSTRAINT FK_CON_AUD2 
  FOREIGN KEY (CON_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));


-- 
-- Foreign Key Constraints for Table GCU_MARCA 
-- 
ALTER TABLE UOC.GCU_MARCA ADD (
  CONSTRAINT FK_MAR_AUD1 
  FOREIGN KEY (MAR_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_MARCA ADD (
  CONSTRAINT FK_MAR_AUD2 
  FOREIGN KEY (MAR_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));


-- 
-- Foreign Key Constraints for Table GCU_USUARIO 
-- 
ALTER TABLE UOC.GCU_USUARIO ADD (
  CONSTRAINT FK_USR_EMPID 
  FOREIGN KEY (USR_EMPID) 
  REFERENCES UOC.GCU_EMPLEADO (EMP_ID));


-- 
-- Foreign Key Constraints for Table GCU_MODELO 
-- 
ALTER TABLE UOC.GCU_MODELO ADD (
  CONSTRAINT FK_MOD_AUD1 
  FOREIGN KEY (MOD_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_MODELO ADD (
  CONSTRAINT FK_MOD_AUD2 
  FOREIGN KEY (MOD_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_MODELO ADD (
  CONSTRAINT FK_MOD_MARID 
  FOREIGN KEY (MOD_MARID) 
  REFERENCES UOC.GCU_MARCA (MAR_ID));


-- 
-- Foreign Key Constraints for Table GCU_EMPLEADO 
-- 
ALTER TABLE UOC.GCU_EMPLEADO ADD (
  CONSTRAINT FK_EMP_CONID 
  FOREIGN KEY (EMP_CONID) 
  REFERENCES UOC.GCU_CONCESIONARIO (CON_ID));

ALTER TABLE UOC.GCU_EMPLEADO ADD (
  CONSTRAINT FK_EMP_AUD2 
  FOREIGN KEY (EMP_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_EMPLEADO ADD (
  CONSTRAINT FK_EMP_AUD1 
  FOREIGN KEY (EMP_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));


-- 
-- Foreign Key Constraints for Table GCU_CATALOGO 
-- 
ALTER TABLE UOC.GCU_CATALOGO ADD (
  CONSTRAINT FK_CAT_AUD1 
  FOREIGN KEY (CAT_AUDUSRALTA) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_CATALOGO ADD (
  CONSTRAINT FK_CAT_AUD2 
  FOREIGN KEY (CAT_AUDUSRMOD) 
  REFERENCES UOC.GCU_USUARIO (USR_ID));

ALTER TABLE UOC.GCU_CATALOGO ADD (
  CONSTRAINT FK_CAT_MODID 
  FOREIGN KEY (CAT_MODID) 
  REFERENCES UOC.GCU_MODELO (MOD_ID));

ALTER TABLE UOC.GCU_CATALOGO ADD (
  CONSTRAINT FK_CAT_CARID 
  FOREIGN KEY (CAT_CARID) 
  REFERENCES UOC.GCU_CARACTERISTICA (CAR_ID));


